'use client';
import Breadcrumbs from '@/components/shared/Breadcrumbs';
import BoxContainer from '@/components/shared/box-container';
import Icon from '@/components/shared/icons/Icon';
import InvestorRelationSideMenu from '@/components/shared/navigation/Investor-Relation-SideMenu';
import { tertiary } from '@/constants/colors';
import React, { useState } from 'react';

const Layout = ({
  children,
}: Readonly<{
  children: React.ReactNode;
}>) => {
  const [openMenu, setOpenMenu] = useState(false);
  return (
    <>
      <header
        className={`bg-[url('/assets/images/investor-relations-banner.jpg')] h-[300px] bg-cover bg-center text-white flex justify-center items-center`}
      >
        <h2 className='text-[32px] uppercase font-semibold text-[#d7192]'>
          Investor Relations
        </h2>
      </header>
      <BoxContainer>
        <div className='md:flex gap-x-5'>
          <aside className='w-full md:w-[375px] bg-[#e6e7e8] p-[15px] h-auto'>
            <div className='text-[#d71921] text-[25px] uppercase font-semibold flex w-full justify-between'>
              <span>Investor Menu</span>
              <button
                className='lg:hidden p-2 bg-[#666666] w-[30px] h-[30px] mobile-toggle-icon'
                onClick={() => {
                  setOpenMenu(!openMenu);
                }}
              >
                <Icon
                  icon={openMenu ? 'mobile-close' : 'mobile-toggle'}
                  color={'#FFF'}
                />
              </button>
            </div>
            <div className={`${openMenu ? 'block' : 'hidden'} md:block`}>
              <InvestorRelationSideMenu />
            </div>
          </aside>
          <main className='grow py-[15px]'>
            <div className='mb-5'>
              <Breadcrumbs />
            </div>
            <div>{children}</div>
          </main>
        </div>
      </BoxContainer>
    </>
  );
};

export default Layout;
