"use client";
import Breadcrumbs from "@/components/shared/Breadcrumbs";
import BoxContainer from "@/components/shared/box-container";
import VerticalTimeline from "@/components/ui/journey-time-line";
import Image from "next/image";

export default function JourneyOFEuroGrip() {
  return (
    <div className="">
      <div className="mb-5">
        <Breadcrumbs />
      </div>
      <div className="parallax">
        <div className="h-[350px] flex justify-center items-center">
          <h1 className="text-4xl uppercase text-white text-center font-bold">
            Journey of Eurogrip
          </h1>
        </div>
      </div>

      {/* Quality Philosophy Section */}
      <BoxContainer>
        <div className="my-[8%]">
          {/* First section - column on md/sm, row on lg */}
          <div className="mx-auto h-[75%] flex flex-col md:flex-col lg:flex-row">
            <div className="w-full lg:flex-1">
              <Image
                src="https://tvseurogrip.com/wp-content/uploads/2022/01/profile-and-life-history-of-tv-sundaram-iyengar.jpg.webp"
                alt="Founder"
                width={600}
                height={450}
                className="w-full h-auto"
                unoptimized
              />
            </div>
            <div className="w-full lg:flex-1 self-center leading-5">
              <div className="lg:pl-10">
                <h2 className="text-center text-xl font-bold pb-4">
                  Our Founder TV Sundram Iyengar
                </h2>
                <p className="space-y-4 text-base leading-7 font-light text-gray-400 pb-3">
                  {
                    "TV Sundram Iyengar was a man of principles and a true visionary. During the 1930s, when riding an automobile was still a distant dream for many Indians, he had the vision to start the first ever rural bus service in Madurai. Business was not only a passion for Sundram Iyengar, but also a service to the common man. His innovative and visionary ideas, hard work and determination formed the base for 'TV Sundram Iyengar and Sons Group of Companies', one of India's largest industrial conglomerates. The group started by Iyengar extended its services to the motor industry, to motor services and several others over the following years. No wonder, even today he is regarded as one of the most successful industrialists of his time. TV Sundram Iyengar was also a forward thinker and a stringent follower of Gandhian philosophies."
                  }
                </p>
              </div>
            </div>
          </div>

          {/* Second section - column on md/sm, row on lg */}
          <div className="mx-auto h-[75%] flex flex-col md:flex-col lg:flex-row">
            <div className="w-full lg:flex-1 self-center leading-5 order-2 lg:order-1">
              <div className="lg:pr-10 lg:pl-3">
                <h2 className="text-center text-xl font-bold pb-4">
                  $8.5bn Conglomerate | 100 years <br />
                  Legacy
                </h2>
                <div className="space-y-4 text-base leading-7 font-light text-gray-400">
                  <ul className="list-disc">
                    <li>
                      Largest Auto Ancillary Group in India, with a turnover of
                      $8.5 Billion
                    </li>
                    <li>
                      Joint Ventures with many world leaders in the Automotive
                      Systems and Components manufacturing industry
                    </li>
                    <li>
                      Great reputation for Trust, Value, and Service with a
                      century-old history
                    </li>
                    <li>
                      Embraces Global Best Business Practices and Manufacturing
                      Excellence
                    </li>
                    <li>
                      Many Group companies have won Deming Awards, JUSE Quality
                      Medals, and other recognitions
                    </li>
                  </ul>
                </div>
              </div>
            </div>
            <div className="w-full lg:flex-1 order-1 lg:order-2">
              <Image
                src="https://tvseurogrip.com/wp-content/uploads/2022/01/journey-page-tvs-group-logo.jpg.webp"
                alt="Eurogrip Tyres journey page tvs group logo"
                width={600}
                height={450}
                className="mb-4 sm:mb-6 w-full h-auto"
                unoptimized
              />
            </div>
          </div>

          {/* Third section - column on md/sm, row on lg */}
          <div className="mx-auto h-[75%] flex flex-col md:flex-col lg:flex-row ">
            <div className="w-full lg:flex-1 px-5">
              <div className="flex justify-center">
                <Image
                  src="https://tvseurogrip.com/wp-content/uploads/2022/04/tvs-mobility-logo-300x173.jpg.webp"
                  alt="Eurugrip mobility"
                  width={300}
                  height={173}
                  className="mb-4 sm:mb-6 h-auto"
                  unoptimized
                />
              </div>
              <h2 className="text-center text-xl font-bold pb-4">
                About Eurogrip Mobility group
              </h2>
              <p className="text-gray-400 font-light leading-7">
                Eurogrip Mobility is the holding company for the businesses
                managed by the T S Rajam family members. The companies housed
                under Eurogrip Mobility evolved from the business started by T V
                Sundaram Iyengar in 1911. Businesses under the Eurogrip Mobility
                group are being managed by the 4th generation family members,
                descendants of T V Sundaram Iyengar.
              </p>
              <p className="text-gray-400 font-light leading-7">
                Eurogrip Mobility has a collective annual revenue of over USD
                2Bn and has broadly four verticals that include Manufacturing
                (Tyres & Tubes and Rubber products), Global Supply Chain
                Solutions (auto and non-auto), Platform for Distribution and
                Services in the Independent Aftermarket, and Auto Distribution
                (India, Srilanka and Bangladesh).
              </p>
            </div>
            <div className="w-full lg:flex-1 self-center leading-5">
              <div className="px-5 text-left font-light">
                <p className="text-gray-400 leading-7">
                  Companies under the group employ over 25,000 people and has
                  business interests in six continents and with establishments
                  in more than 25 countries. The group has a diverse business
                  base in both B-to-B, B-to-B as well as in B-to-C segments. The
                  clientele of its group companies includes marquee names in
                  both auto and non-auto segments. The manufactured products of
                  the group are sold to Automotive and Industrial vehicle and
                  product manufacturers, distributors and to consumers. The
                  businesses of the group work closely with entrepreneurs and
                  help them scale by directly engaging with them and through
                  brand support. One of the entities has created a platform for
                  over 20,000 retail and service entrepreneurs across the
                  country through its technology and service platform. Through
                  its B-to-C businesses, it sells more than 1,50,000 vehicles
                  per annum (including 1,10,000 two-wheelers) and provides
                  services to over 3.5 million customers.
                </p>
                <p className="text-gray-400 leading-7">
                  Known for its compliance and governance standards, the group
                  believes in empowering people with skills and training
                  programs through its schools and community outreach
                  initiatives. It runs nine institutions under its
                  not-for-profit welfare trust, which have provided education
                  and life skills for around 50,000 persons so far. The
                  companies in the group have grown consistently over the years
                  and created value for all its stakeholders.
                </p>
              </div>
            </div>
          </div>
        </div>
      </BoxContainer>
      <VerticalTimeline />

      {/* Footer would go here */}
    </div>
  );
}
