'use client';
import Image from 'next/image';

export default function MotorsportCommunities() {
  return (
    <div className='w-full'>
      <div className='mb-6 md:mb-10'>
        <Breadcrumbs />
      </div>

      <div className='bg-tegblue'>
        <h1 className='text-center uppercase text-xl sm:text-2xl md:text-3xl text-white p-6 md:p-12 font-semibold'>
          Motosport & Biking Communities
        </h1>
      </div>

      <div className='my-8 md:my-[4%]'>
        {/* The Endurance Race */}
        <div className='mx-auto flex flex-col lg:flex-row mb-12 md:mb-0'>
          <div className='w-full lg:w-1/2 self-center px-4 sm:px-8 md:px-12'>
            <div className='max-w-lg mx-auto lg:mx-0 lg:ml-auto lg:mr-12 xl:mr-36'>
              <Image
                src='https://tvseurogrip.com/wp-content/uploads/elementor/thumbs/MMSC-Motorcycle-Endurance-Race-2021-logo-qj5u9tq1j9k7gms6jdv0n380g0wrz66gf7snyyz9xa.jpg'
                width={250}
                height={115}
                alt='The Endurance Race'
                className='w-48 sm:w-64 md:w-[250px]'
              />
              <h2 className='text-left text-tegblue uppercase text-xl md:text-2xl font-semibold py-3 md:py-4'>
                The Endurance Race
              </h2>
              <div className='space-y-3 md:space-y-4 text-sm sm:text-base font-light text-gray-400'>
                <p>
                  Endurance racing is a form of motorsport racing which is meant
                  to test the durability of equipment and endurance of
                  participants. Teams of multiple drivers attempt to cover a
                  large distance in a single event, with participants given a
                  break with the ability to change during the race. Endurance
                  races can be run either to cover a set distance in laps as
                  quickly as possible, or to cover as much distance as possible
                  over a preset amount of time. We partner with MMSC for the
                  Motorcycle Endurance Race and equip the bikes with Eurogrip
                  tyres. The Endurance Race is a perfect opportunity for both
                  aspiring and seasoned bikers. Given the challenging nature of
                  the circuit, it was a unique platform to showcase our products
                  and demonstrate performance.
                </p>
              </div>
            </div>
          </div>
          <div className='w-full lg:w-1/2'>
            <div className='h-64 sm:h-80 md:h-[400px] lg:h-[500px] w-full'>
              <iframe
                src='https://www.youtube.com/embed/Hsim5XEzkLk?feature=oembed&start&end&wmode=opaque&autoplay=1&loop=0&controls=1&mute=0&rel=0&modestbranding=0'
                allowFullScreen
                loading='lazy'
                title='Eurogrip'
                className='w-full h-full'
              />
            </div>
          </div>
        </div>

        {/* Brunch & Biking */}
        <div className='mx-auto flex flex-col lg:flex-row-reverse mb-12 md:mb-0'>
          <div className='w-full lg:w-1/2 self-center px-4 sm:px-8 md:px-12'>
            <div className='max-w-lg mx-auto lg:mx-0 lg:mr-auto lg:ml-12 xl:ml-36'>
              <Image
                src='https://tvseurogrip.com/wp-content/uploads/elementor/thumbs/Brunch-N-Biking-logo-qj5u0shur4bmktwy5n773nx0xprte1d51lolgd9ef4.jpg'
                width={250}
                height={115}
                alt='Brunch & Biking'
                className='w-48 sm:w-64 md:w-[250px]'
              />
              <h2 className='text-left text-tegblue uppercase text-xl md:text-2xl font-semibold py-3 md:py-4'>
                Brunch & Biking
              </h2>
              <div className='space-y-3 md:space-y-4 text-sm sm:text-base font-light text-gray-400'>
                <p>
                  Brunch & Biking is a national initiative to engage with the
                  ever-growing biking community. It is an interesting blend of
                  biking and adventure that presents riders an opportunity to
                  create awareness about vaccination while celebrating the
                  spirit of community riding.
                </p>
              </div>
            </div>
          </div>
          <div className='w-full lg:w-1/2'>
            <div className='h-64 sm:h-80 md:h-[400px] lg:h-[500px] w-full'>
              <iframe
                src='https://www.youtube.com/embed/n2KK9ndXUjs?feature=oembed&start&end&wmode=opaque&autoplay=1&loop=0&controls=1&mute=0&rel=0&modestbranding=0'
                allowFullScreen
                loading='lazy'
                title='Eurogrip'
                className='w-full h-full'
              />
            </div>
          </div>
        </div>

        {/* Eurogrip One Make Championship */}
        <div className='mx-auto flex flex-col lg:flex-row mb-12 md:mb-0'>
          <div className='w-full lg:w-1/2 self-center px-4 sm:px-8 md:px-12'>
            <div className='max-w-lg mx-auto lg:mx-0 lg:ml-auto lg:mr-12 xl:mr-36'>
              <Image
                src='https://tvseurogrip.com/wp-content/uploads/elementor/thumbs/TVS-ONE-MAKE-CHAMPIONSHIP_-logo-small-qj5u1gxosa4g9ex3brueh74icq3bk10clv1aefd8t4.jpg'
                width={250}
                height={115}
                alt='Eurogrip One Make Championship'
                className='w-48 sm:w-64 md:w-[250px]'
              />
              <h2 className='text-left text-tegblue uppercase text-xl md:text-2xl font-semibold py-3 md:py-4'>
                Eurogrip One Make Championship
              </h2>
              <div className='space-y-3 md:space-y-4 text-sm sm:text-base font-light text-gray-400'>
                <p>
                  Eurogrip Racing is the country&apos;s pioneer of the One Make
                  Championship, having introduced the competition in 1994 as the
                  first Indian manufacturer to do so. The championship has
                  provided a platform for two-wheeler racing aficionados to
                  compete for the title of champion. This racing DNA has been
                  developed into the Eurogrip Apache family of motorcycles over
                  the years. Eurogrip has over the last several years been a
                  technical partner with the Bikes being equipped with our
                  tyres.
                </p>
              </div>
            </div>
          </div>
          <div className='w-full lg:w-1/2'>
            <div className='h-64 sm:h-80 md:h-[400px] lg:h-[500px] w-full'>
              <iframe
                src='https://www.youtube.com/embed/-3DGRLhjtpk?feature=oembed&start&end&wmode=opaque&autoplay=1&loop=0&controls=1&mute=0&rel=0&modestbranding=0'
                allowFullScreen
                loading='lazy'
                title='Eurogrip'
                className='w-full h-full'
              />
            </div>
          </div>
        </div>

        {/* Afro European Odyssey */}
        <div className='mx-auto flex flex-col lg:flex-row-reverse'>
          <div className='w-full lg:w-1/2 self-center px-4 sm:px-8 md:px-12'>
            <div className='max-w-lg mx-auto lg:mx-0 lg:mr-auto lg:ml-12 xl:ml-36'>
              <Image
                src='https://tvseurogrip.com/wp-content/uploads/elementor/thumbs/afro-european-logo-qj5u31bzxkihdqha5vs9x0ahv57uwozc5ycydc96ru.png'
                width={250}
                height={115}
                alt='Afro European Odyssey'
                className='w-48 sm:w-64 md:w-[250px]'
              />
              <h2 className='text-left text-tegblue uppercase text-xl md:text-2xl font-semibold py-3 md:py-4'>
                Afro European Odyssey
              </h2>
              <div className='space-y-3 md:space-y-4 text-sm sm:text-base font-light text-gray-400'>
                <p>
                  A journey on our tyres Deepak Kamath – Covering 34 Countries
                  in 150 days covering 35K Kms Starting at the Southern most tip
                  of Africa the journey ends @ the northernmost point in Europe
                  beyond the artic circle.
                </p>
              </div>
            </div>
          </div>
          <div className='w-full lg:w-1/2'>
            <div className='h-64 sm:h-80 md:h-[400px] lg:h-[500px] w-full'>
              <iframe
                src='https://www.youtube.com/embed/_Bi295js2ys?feature=oembed&start&end&wmode=opaque&autoplay=0&loop=0&controls=1&mute=0&rel=0&modestbranding=0'
                allowFullScreen
                loading='lazy'
                title='Eurogrip'
                className='w-full h-full'
              />
            </div>
          </div>
        </div>
      </div>
    </div>
  );
}

// Placeholder component for Breadcrumbs
function Breadcrumbs() {
  return (
    <nav className='px-4 py-2'>
      <ol className='flex flex-wrap items-center text-sm'>
        <li className='flex items-center'>
          <a href='/' className='text-gray-500 hover:text-tegblue'>
            Home
          </a>
          <span className='mx-2 text-gray-400'>/</span>
        </li>
        <li className='text-tegblue'>Motorsport & Biking Communities</li>
      </ol>
    </nav>
  );
}
