'use client';

import { useEffect } from 'react';
import { ErrorDisplay } from '@/components/ui/error-display';

export default function GlobalError({
  error,
  reset,
}: {
  error: Error & { digest?: string };
  reset: () => void;
}) {
  useEffect(() => {
    // Log the error to an error reporting service
    console.error('Global error:', error);
  }, [error]);

  return (
    <html>
      <body>
        <div className='min-h-screen flex items-center justify-center'>
          <ErrorDisplay
            title='Unexpected Error'
            message="We've encountered an unexpected error. Our team has been notified."
            error={error}
            retry={reset}
            statusCode={500}
          />
        </div>
      </body>
    </html>
  );
}
