import Link from 'next/link';
import { Button } from '@/components/ui/button';

export default function ProductNotFound() {
  return (
    <div className='container mx-auto px-4 py-16 flex flex-col items-center justify-center text-center'>
      <h1 className='text-4xl font-bold mb-4'>Product Not Found</h1>
      <p className='text-muted-foreground mb-8 max-w-md'>
        We couldn&apos;t find the product you&apos;re looking for. It may have
        been removed or the URL might be incorrect.
      </p>
      <div className='flex gap-4'>
        <Button asChild>
          <Link href='/products'>Browse Products</Link>
        </Button>
        <Button variant='outline' asChild>
          <Link href='/'>Go Home</Link>
        </Button>
      </div>
    </div>
  );
}
