'use client';
import BlogSection from '@/components/shared/blogs/blog-section';
import HeroBannerWithCTA from '@/components/shared/two-wheeler-tyre/hero-banner-with-cta';
import React from 'react';
import TyreGuideVideoOverview from '@/components/shared/tyre-guide-video/tyre-guide-video-overview';
import TyreGuideOverview from '@/components/shared/tyre-guide/tyre-guide-overrview';
import BoxContainer from '@/components/shared/box-container';
import FilterByTyrePos from '@/components/shared/product/filter/filter-by-tyre-pos';
import Image from 'next/image';
import { faEye } from '@fortawesome/free-solid-svg-icons';
import HierarchicalFilter from '@/components/shared/product/dynamic-hierarchical-filter';
import ProductFilterDivider from '@/components/shared/ProductFilterDivider';

const Page = () => {
  return (
    <>
      <HeroBannerWithCTA
        img='/assets/images/two-wheeler-tyre/teg-Desktop-banner-twowheeler-homepage-V3-Oct24.png'
        link='/product-category/two-wheeler'
      />
      <section className='bg-teggray py-[50px]'>
        <BoxContainer>
          <div className='flex gap-5'>
            <div className='min-w-[375px] text-center'>
              <h2 className='text-tegblue text-[14px] font-semibold mb-2'>
                GENUINE TVS EUROGRIP TYRES AT YOUR DOORSTEP
              </h2>
              <div className='bg-[#bcbec0] px-[15px] py-[10px] text-center rounded-t-lg'>
                <span className='mb-2 block uppercase text-[12px] font-semibold'>
                  SEARCH BY VEHICLE
                </span>
                <HierarchicalFilter disableTyrePos showRedirectBtn />
              </div>
              <ProductFilterDivider />
              <div className='bg-[#bcbec0] px-[15px] py-[10px] text-center rounded-t-lg'>
                <span className='mb-2 block uppercase text-[12px] font-semibold'>
                  FIND TYRES
                </span>
                <FilterByTyrePos />
              </div>
            </div>
            <div className=''>
              <div className='mb-5'>
                <Image
                  src='https://tvseurogrip.com/wp-content/uploads/2022/04/application-search-Banners-1.jpg.webp'
                  width={680}
                  height={225}
                  alt=''
                />
              </div>
              <div className='flex text-[20px] font-semibold justify-center items-center'>
                <p>
                  What ever two wheeler you ride, Ride it only on
                  <span className='text-tegred text-[24px] block'>
                    TVS Eurogrip
                  </span>
                  The bike tyre specialist
                </p>
                <Image
                  src='/assets/images/two-wheeler-tyre/Cluster-7-tyre-Range.webp'
                  width={500}
                  height={228}
                  alt=''
                />
              </div>
            </div>
          </div>
        </BoxContainer>
      </section>
      <TyreGuideOverview />
      <HeroBannerWithCTA
        img='/assets/images/two-wheeler-tyre/twowheeler-page-tyre-buy-in5-min.jpg'
        hidecta
        link='/product-category/two-wheeler'
      />
      <BlogSection title='TYRE TIPS' categories={'tyre-guide'} icon={faEye} />
      <TyreGuideVideoOverview />
    </>
  );
};

export default Page;
