"use client";
import Image from "next/image";
import Breadcrumbs from "@/components/shared/Breadcrumbs";
import BoxContainer from "@/components/shared/box-container";
import {
  faCertificate,
  faGlobe,
  faLocationDot,
  faMotorcycle,
  faRoad,
  faRulerCombined,
} from "@fortawesome/free-solid-svg-icons";
import { Card, CardContent } from "@/components/ui/card";
import { FontAwesomeIcon } from "@fortawesome/react-fontawesome";

export default function WhyEurogrip() {
  const bannerImage =
    "https://tvseurogrip.com/wp-content/uploads/2021/12/why-tvseurogrip-top-banner-webres.jpg";
  const bestChoiceImage =
    "https://tvseurogrip.com/wp-content/uploads/2021/10/teg-single-product-page-technology-BG.jpg";
  const bestChoiceBadge =
    "	https://tvseurogrip.com/wp-content/uploads/2022/01/why-tvseurogrip-Best-choice.png";

  const technologies = [
    {
      icon: "https://tvseurogrip.com/wp-content/uploads/2021/09/technology-icon1.jpg",
      title: "DUAL TREAD COMPOUND TECHNOLOGY",
      subtitle: "DuCT",
      content: {
        features:
          "The first compound layer that is in contact with the road delivers superior mileage and grip performance. The second compound layer provides excellent bonding with the reinforcement structure.",
        benefits:
          "Best of both worlds: Superior Mileage and Grip performance with excellent Durability.",
      },
    },
    {
      icon: "https://tvseurogrip.com/wp-content/uploads/2021/09/technology-icon2.jpg",
      title: "TRI POLYMER TREAD COMPOUND",
      subtitle: "TriP",
      content: {
        features:
          "Advanced Tri-Polymer Technology Tread Compound with High Structure Carbon",
        benefits:
          "A tyre that is well balanced, optimising Grip, Mileage and Durability.",
      },
    },
    {
      icon: "https://tvseurogrip.com/wp-content/uploads/2021/09/technology-icon3.jpg",
      title: "DEEP DESIGN TREAD",
      subtitle: "D²T",
      content: {
        features:
          "Computer Designed Deep Tread Pattern with high tread rubber volume.",
        benefits: "A tyre that Lasts Long and delivers High Mileage.",
      },
    },
    {
      icon: "https://tvseurogrip.com/wp-content/uploads/2021/09/technology-icon4.jpg",
      title: "DRY BONDING REINFORCEMENT TECHNOLOGY",
      subtitle: "DrBond",
      content: {
        features:
          "Specially developed Nylon Reinforcement Bonding System for high adhesion of rubber and nylon.",
        benefits:
          "A tyre that Lasts Long. Remains Durable and Safe even after a lifetime of use.",
      },
    },
    {
      icon: "https://tvseurogrip.com/wp-content/uploads/2021/09/technology-icon5.jpg",
      title: "OPTIMIZED TREAD PATTERN DESIGN TECHNOLOGY",
      subtitle: "OpT-PaD",
      content: {
        features:
          "Tread Pattern is designed for even footprint pressure distribution and stress-free groove geometry using high-end computer-aided FEA techniques.",
        benefits:
          "Tyres with even wear and excellent Grip in dry and wet conditions.",
      },
    },
    {
      icon: "https://tvseurogrip.com/wp-content/uploads/2021/09/technology-icon7.jpg",
      title: "AIR SEAL - INNER LINER TECHNOLOGY",
      subtitle: "A-SeT",
      content: {
        features:
          "A special layer of rubber compound with excellent air sealing capability",
        benefits:
          "Retains Air Pressure for longer periods of time, enabling superior ride comfort.",
      },
    },
    {
      icon: "https://tvseurogrip.com/wp-content/uploads/2021/09/technology-icon6.jpg",
      title: "ROLL BALANCED UNIQUE TYRE CONSTRUCTION",
      subtitle: "RoBusT",
      content: {
        features:
          "Tyre construction design optimized for superior and safe cornering.",
        benefits: "Safe riding experience at high speeds.",
      },
    },
  ];

  const bestChoiceContent = [
    "We are the trusted choice of India's leading two-wheeler manufacturers",
    "We have a diverse range of products to suit varying needs & applications",
    "Variety of patterns to choose from: Vintage, Block, Sporty, Euro-inspired",
    "Our flagship products come with W Rating for Superior control at high speeds",
  ];

  const whyCards = [
    {
      icon: faRoad,
      iconColor: "text-tegblue font-semibold",
      iconSize: "text-2xl md:text-3xl",
      title: "EXTENSIVE RANGE",
      titleColor: "text-why-eg  font-extrabold",
      titleSize: "text-xl sm:text-2xl md:text-3xl",
      desc1: "OF PRODUCTS",
      desc1Color: "text-gray-500 font-semibold",
      desc1Size: "text-sm sm:text-base md:text-lg",
    },
    {
      icon: faRulerCombined,
      iconColor: "text-tegblue font-semibold",
      iconSize: "text-2xl md:text-3xl",
      title: "DESIGNED IN",
      titleColor: "text-gray-500 font-semibold",
      titleSize: "text-sm sm:text-base md:text-lg",
      desc1: "MILAN,",
      desc1Color: "text-why-eg  font-extrabold",
      desc1Size: "text-xl sm:text-2xl md:text-3xl",
      desc2: "ITALY",
      desc2Color: "text-why-eg  font-extrabold",
      desc2Size: "text-xl sm:text-2xl md:text-3xl",
    },
    {
      icon: faCertificate,
      iconColor: "text-tegblue font-semibold",
      iconSize: "text-2xl md:text-3xl",
      title: "GLOBALLY TESTED",
      titleColor: "text-why-eg  font-extrabold",
      titleSize: "text-xl sm:text-2xl md:text-3xl",
      desc1: "AND CERTIFIED",
      desc1Color: "text-gray-500 font-semibold",
      desc1Size: "text-sm sm:text-base md:text-lg",
    },
    {
      icon: faMotorcycle,
      iconColor: "text-tegblue font-semibold",
      iconSize: "text-2xl md:text-3xl",
      title: "BEST IN CLASS",
      titleColor: "text-why-eg  font-extrabold",
      titleSize: "text-xl sm:text-2xl md:text-3xl",
      desc1: "WARRANTY & AFTER SALES SERVICE",
      desc1Color: "text-gray-500 font-semibold",
      desc1Size: "text-sm sm:text-base md:text-lg",
    },
    {
      icon: faLocationDot,
      iconColor: "text-tegblue font-semibold",
      iconSize: "text-2xl md:text-3xl",
      title: "OVER 3 DECADES",
      titleColor: "text-why-eg  font-extrabold",
      titleSize: "text-xl sm:text-2xl md:text-3xl",
      desc1: "OF EXPERTISE IN TYRE DESIGN &",
      desc1Color: "text-gray-500 font-semibold",
      desc1Size: "text-sm sm:text-base md:text-lg",
      desc2: "MANUFACTURING",
      desc2Color: "text-gray-500 font-semibold",
      desc2Size: "text-sm sm:text-base md:text-lg",
    },
    {
      icon: faGlobe,
      iconColor: "text-tegblue font-semibold",
      iconSize: "text-2xl md:text-3xl",
      title: "ONE OF INDIA'S ",
      titleColor: "text-gray-500 font-semibold",
      titleSize: "text-sm sm:text-base md:text-lg",
      desc1: "LARGEST",
      desc1Color: "text-why-eg  font-extrabold",
      desc1Size: "text-xl sm:text-2xl md:text-3xl",
      desc2: "MANUFACTURERS & EXPORTERS OF",
      desc2Color: "text-gray-500 font-semibold",
      desc2Size: "text-sm sm:text-base md:text-lg",
      desc3: "2-WHEELER TYRES",
      desc3Color: "text-gray-500 font-semibold",
      desc3Size: "text-sm sm:text-base md:text-lg",
    },
  ];

  const WhyCard = (props: any) => {
    return (
      <div className="w-full sm:w-[48%] lg:w-[32%] px-4 sm:px-6 lg:px-10 py-6 mb-8 sm:mb-12 lg:mb-20 bg-white transition-all duration-300 ease-in-out rounded-lg hover:shadow-[0_0_15px_rgba(0,0,0,0.1)]">
        <div className="flex flex-col items-center justify-center">
          {/* Circle with icon */}
          <div className="w-16 h-16 sm:w-18 sm:h-18 lg:w-20 lg:h-20 rounded-full border-2 border-tegblue flex items-center justify-center mb-4">
            <FontAwesomeIcon
              icon={props.icon}
              size="2x"
              className="text-tegblue font-semibold w-6 h-6 sm:w-7 sm:h-7 lg:w-8 lg:h-8"
            />
          </div>

          {/* Text content */}
          <div className="text-center ">
            <p
              className={`${props.titleColor}  ${props.titleSize}  tracking-wide`}
            >
              {props.title}
            </p>
            <p
              className={`${props.desc1Color} ${props.desc1Size} tracking-wide`}
            >
              {props.desc1}
            </p>
            {props.desc2 && (
              <p
                className={`leading-none ${props.desc2Color} ${props.desc2Size}  tracking-wide`}
              >
                {props.desc2}
              </p>
            )}
            {props.desc3 && (
              <p
                className={`leading-none ${props.desc3Color} ${props.desc3Size} tracking-wide `}
              >
                {props.desc3}
              </p>
            )}
          </div>
        </div>
      </div>
    );
  };

  return (
    <div className="">
      <div className="mb-5">
        <Breadcrumbs />
      </div>
      <div className="">
        <div className="relative w-full h-[400px] my-10">
          <Image
            src={bannerImage || "/placeholder.svg"}
            alt={"eg Factory picture"}
            fill
            className="object-cover md:hidden"
            sizes="100vw"
          />
          <Image
            src={bannerImage || "/placeholder.svg"}
            alt={"eg Factory picture"}
            fill
            className="hidden md:block object-cover"
            sizes="100vw"
          />
          <div className="absolute inset-0 flex items-center justify-center">
            <h1 className="text-center w-[35%] text-white text-4xl md:text-4xl font-bold tracking-wider px-4 [text-shadow:_0_0_1rem_black] ">
              GREAT REASONS TO RIDE WITH TVS EUROGRIP
            </h1>
          </div>
        </div>
      </div>
      <BoxContainer>
        <div className="flex flex-wrap justify-center gap-4">
          {whyCards.map((card, i) => (
            <WhyCard key={i} {...card} />
          ))}
        </div>
      </BoxContainer>
      <div
        className="w-full bg-cover bg-center mb-[4%]"
        style={{ backgroundImage: `url(${bestChoiceImage})` }}
      >
        <BoxContainer>
          <div className="flex flex-col items-center justify-center py-12 md:py-16 lg:py-24 px-4">
            <h1 className="my-5 text-2xl sm:text-3xl md:text-4xl text-white font-extrabold text-center max-w-5xl">
              EUROGRIP PRODUCTS ARE THE BEST CHOICE FOR YOU
            </h1>

            <div className="grid grid-cols-1 sm:grid-cols-2 lg:grid-cols-4 gap-8 w-full mt-6">
              {bestChoiceContent.map((context, i) => (
                <div key={i} className="relative flex justify-center">
                  <div className="relative">
                    <Image
                      src={bestChoiceBadge || "/placeholder.svg"}
                      alt="Best choice badge"
                      width={200}
                      height={100}
                      className="w-[180px] sm:w-[200px] md:w-[220px]"
                    />
                    <p
                      className="absolute top-1/2 left-1/2 transform -translate-x-1/2 -translate-y-1/2 
                        text-xs sm:text-sm font-bold text-center px-2 py-1 rounded w-[80%]"
                    >
                      {context}
                    </p>
                  </div>
                </div>
              ))}
            </div>
          </div>
        </BoxContainer>
      </div>
      <BoxContainer>
        <div className="grid grid-cols-1 md:grid-cols-2 lg:grid-cols-3 gap-6 my-[4%]">
          {technologies.map((technology, i) => (
            <Card
              key={i}
              className="max-w-md mx-auto border-0 shadow-none transition-shadow duration-300 hover:shadow-lg bg-transparent"
            >
              <CardContent className="pt-6 text-center space-y-4 px-6 pb-6">
                {/* Icon representation using Lucide icons */}
                <div className="flex justify-center mb-4">
                  <Image
                    src={technology.icon}
                    alt={technology.title}
                    width={45}
                    height={45}
                    className="w-[45px] h-[45px]"
                  />
                </div>

                <div className="space-y-1 ">
                  <h3 className="text-xl font-bold text-tegblue font-bold">
                    {technology.title}
                  </h3>
                  <p className="text-tegblue font-bold font-medium">
                    ({technology.subtitle})
                  </p>
                </div>

                <div className="space-y-4 text-left text-sm">
                  <div>
                    <span className="font-bold text-gray-700">Features: </span>
                    <span className="text-gray-600 ">
                      {technology.content.features}
                    </span>
                  </div>

                  <div>
                    <span className="font-bold text-gray-700">Benefits: </span>
                    <span className="text-gray-600">
                      {technology.content.benefits}
                    </span>
                  </div>
                </div>
              </CardContent>
            </Card>
          ))}
        </div>
      </BoxContainer>
    </div>
  );
}
