import { NextResponse } from 'next/server';

export async function GET() {
  try {
    const response = await fetch(
      'https://tyrefinder.co.in/api/blogs?populate=*&filters[blog_category][slug][$eq]=product-news&filters[blog_category][slug][$eq]=marketing-news',
      {
        headers: {
          'Content-Type': 'application/json',
        },
        next: { revalidate: 3600 }, // Revalidate every hour
      }
    );

    if (!response.ok) {
      throw new Error(`Failed to fetch blogs: ${response.status}`);
    }

    const data = await response.json();
    return NextResponse.json(data);
  } catch (error) {
    console.error('Error fetching blog data:', error);
    return NextResponse.json(
      { error: 'Failed to fetch blog data' },
      { status: 500 }
    );
  }
}
