import { Skeleton } from "@/components/ui/skeleton"

export default function Loading() {
  return (
    <div className="container mx-auto px-4 py-8">
      <Skeleton className="h-10 w-1/4 mb-8" />
      <div className="flex flex-col md:flex-row gap-8">
        <div className="w-full md:w-1/4">
          <Skeleton className="h-[500px] w-full rounded-md" />
        </div>
        <div className="w-full md:w-3/4">
          <div className="grid grid-cols-1 md:grid-cols-2 lg:grid-cols-3 gap-6">
            {Array(6)
              .fill(0)
              .map((_, i) => (
                <Skeleton key={i} className="h-[300px] w-full rounded-md" />
              ))}
          </div>
        </div>
      </div>
    </div>
  )
}

