import type { Metadata } from 'next';
import { Noto_Sans } from 'next/font/google';
import '@fortawesome/fontawesome-svg-core/styles.css';
import { config } from '@fortawesome/fontawesome-svg-core';
config.autoAddCss = false;
import './globals.css';
import Header from '@/components/shared/header';
import TopNavbar from '@/components/shared/top-navbar/TopNavbar';
import Footer from '@/components/shared/Footer';
import ShoppingCart from '@/components/shared/product/ShoppingCart';
import { Toaster } from 'react-hot-toast';
import ChooseWebsiteLocation from '@/components/shared/modal/choose-website-location';

const notosans = Noto_Sans({
  subsets: ['latin'],
  variable: '--font-notosans',
  weight: ['100', '200', '300', '400', '500', '600', '700', '800', '900'],
});

export const metadata: Metadata = {
  title: 'Create Next App',
  description: 'Generated by create next app',
};

export default function RootLayout({
  children,
}: Readonly<{
  children: React.ReactNode;
}>) {
  return (
    <html lang='en'>
      <body className={`${notosans.variable}`}>
        <TopNavbar />
        <Header />
        {children}
        <Footer />
        <ShoppingCart />
        <Toaster />
      </body>
    </html>
  );
}
