'use client';
import React from 'react';
import { usePathname } from 'next/navigation';
import Link from 'next/link';
const Breadcrumbs = ({ textColor }: { textColor?: boolean }) => {
  const path = usePathname();
  const pathnames = path?.split('/');

  return (
    <div>
      <Link
        href='/'
        className={`underline text-[11px] ${
          textColor ? 'text-[#FFFFFF]' : 'text-[#545454]'
        } font-medium uppercase`}
      >
        Home
      </Link>
      {pathnames?.slice(1)?.map((item, index) => {
        const href = `/${pathnames.slice(1, index + 2).join('/')}`;
        return (
          <React.Fragment key={index}>
            <span
              className={`text-[11px] ${
                textColor ? 'text-[#FFFFFF]' : 'text-[#545454]'
              } font-medium uppercase`}
            >
              {' '}
              /{' '}
            </span>
            <Link
              className={
                index === pathnames?.slice(1).length - 1
                  ? `pointer-event-none cursor-default text-[11px] ${
                      textColor ? 'text-[#FFFFFF]' : 'text-[#545454]'
                    } font-medium uppercase`
                  : `underline text-[11px] ${
                      textColor ? 'text-[#FFFFFF]' : 'text-[#545454]'
                    } font-medium uppercase`
              }
              href={`${href}`}
            >
              {item}
            </Link>
          </React.Fragment>
        );
      })}
    </div>
  );
};

export default Breadcrumbs;
