import { formatDate } from '@/lib/utils';

interface BlogMetaProps {
  date: Date;
  time: string;
  commentCount: number;
}

export default function BlogMeta({ date, time, commentCount }: BlogMetaProps) {
  return (
    <div className='flex items-center justify-start gap-6 py-4 border-b'>
      <div className='flex items-center gap-2 text-gray-600'>
        <svg
          xmlns='http://www.w3.org/2000/svg'
          className='h-5 w-5'
          fill='none'
          viewBox='0 0 24 24'
          stroke='currentColor'
        >
          <path
            strokeLinecap='round'
            strokeLinejoin='round'
            strokeWidth={2}
            d='M8 7V3m8 4V3m-9 8h10M5 21h14a2 2 0 002-2V7a2 2 0 00-2-2H5a2 2 0 00-2 2v12a2 2 0 002 2z'
          />
        </svg>
        <span>{formatDate(date.toISOString())}</span>
      </div>
      <div className='flex items-center gap-2 text-gray-600'>
        <svg
          xmlns='http://www.w3.org/2000/svg'
          className='h-5 w-5'
          fill='none'
          viewBox='0 0 24 24'
          stroke='currentColor'
        >
          <path
            strokeLinecap='round'
            strokeLinejoin='round'
            strokeWidth={2}
            d='M12 8v4l3 3m6-3a9 9 0 11-18 0 9 9 0 0118 0z'
          />
        </svg>
        <span>{time}</span>
      </div>
      <div className='flex items-center gap-2 text-gray-600'>
        <svg
          xmlns='http://www.w3.org/2000/svg'
          className='h-5 w-5'
          fill='none'
          viewBox='0 0 24 24'
          stroke='currentColor'
        >
          <path
            strokeLinecap='round'
            strokeLinejoin='round'
            strokeWidth={2}
            d='M7 8h10M7 12h4m1 8l-4-4H5a2 2 0 01-2-2V6a2 2 0 012-2h14a2 2 0 012 2v8a2 2 0 01-2 2h-3l-4 4z'
          />
        </svg>
        <span>
          {commentCount > 0 ? `${commentCount} Comments` : 'No Comments'}
        </span>
      </div>
    </div>
  );
}
