import Image from 'next/image';
import { companySellingPoints } from '@/constants/categories';
import BoxContainer from './box-container';

interface SellingPoint {
  name: string;
  description: string;
  icon: string;
}

export default function CompanySellingPoints() {
  return (
    <div className='py-[100px]'>
      <BoxContainer>
        <ul className='grid grid-cols-1 sm:grid-cols-2 lg:grid-cols-4 gap-2.5'>
          {companySellingPoints.map((point, index) => (
            <li key={index} className='bg-white rounded-lg shadow-lg p-6'>
              <div className='flex flex-col items-center text-center'>
                <div className='mb-4 relative w-16 h-16'>
                  <Image
                    src={point.icon || '/placeholder.svg'}
                    alt={`${point.name} icon`}
                    fill
                    sizes='(max-width: 768px) 100vw, (max-width: 1200px) 50vw, 25vw'
                    className='object-contain'
                  />
                </div>
                <h3 className='text-lg font-semibold mb-2'>{point.name}</h3>
                <p className='text-sm text-gray-600'>{point.description}</p>
              </div>
            </li>
          ))}
        </ul>
      </BoxContainer>
    </div>
  );
}
