import Image from 'next/image';
import { customerList } from '@/constants/categories';
import BoxContainer from './box-container';
interface Customer {
  id: string;
  logo: string;
  alt: string;
}

export default function CustomerLogos() {
  return (
    <div className='bg-[#EEEEEE] py-[100px] px-4'>
      <BoxContainer>
        <h2 className='text-3xl font-bold text-center mb-8'>OUR OEM CLIENTS</h2>
        <div className='grid grid-cols-2 sm:grid-cols-3 lg:grid-cols-6 gap-2.5'>
          {customerList.map((customer) => (
            <div
              key={customer.id}
              className='bg-white rounded shadow-md p-4 group'
            >
              <div className='relative w-full h-24 overflow-hidden'>
                <Image
                  src={customer.logo || '/placeholder.svg'}
                  alt={customer.alt}
                  fill
                  sizes='(max-width: 768px) 50vw, (max-width: 1200px) 33vw, 16vw'
                  className='object-contain transition-transform duration-300 ease-in-out group-hover:scale-110'
                />
              </div>
            </div>
          ))}
        </div>
      </BoxContainer>
    </div>
  );
}
