'use client';
import { tertiary } from '@/constants/colors';
import React, { useState } from 'react';
import { Button } from '../ui/button';
import Icon from './icons/Icon';
import MegaMenu from './mega-menu/mega-menu';
import Image from 'next/image';
import MobileMegaMenu from './mega-menu/mobile-mega-menu';
import Link from 'next/link';

const Header = () => {
  const [openMenu, setOpenMenu] = useState(false);
  return (
    <header className='w-full bg-white text-[13px] font-bold'>
      <div className='container max-w-[1200px] h-[80px] mx-auto px-6 py-1 flex flex-row justify-between items-center'>
        <Link href='/'>
          <Image
            src={'/assets/branding/eurogriptyres-logo-apr25.png'}
            alt='Eurogrip tyres'
            width={175}
            height={39}
            className='w-[220px]'
          />
        </Link>
        <Button
          className='lg:hidden p-2'
          onClick={() => {
            setOpenMenu(!openMenu);
          }}
        >
          <Icon
            icon={openMenu ? 'mobile-close' : 'mobile-toggle'}
            color={tertiary?.default}
          />
        </Button>
        {openMenu && <MobileMegaMenu />}
        <MegaMenu />
      </div>
    </header>
  );
};

export default Header;
