import React from 'react';
import VehicleCategoryIconList from '@/components/shared/vehicle-category-icon-list';
import WhySeriesList from '@/components/shared/why-series-list';
import CompanySellingPoints from '@/components/shared/company-selling-points';
import StatisticsCard from '@/components/shared/statistics-card';
import CustomerLogos from '@/components/shared/customer-list';
import HeroSlider from '@/components/shared/HeroSlider';
import BlogSection from '@/components/shared/blogs/blog-section';
import BoxContainer from './box-container';
import Image from 'next/image';
import VerticalTabQuotes from '@/components/shared/VerticalTabQuotes';
import Link from 'next/link';

const HomePage = () => {
  return (
    <div>
      <HeroSlider />
      <VehicleCategoryIconList />
      <WhySeriesList />
      <CompanySellingPoints />
      <StatisticsCard />
      <CustomerLogos />
      <BlogSection title='NEWS & EVENTS' categories='product-news' />
      <BoxContainer>
        <div className='flex flex-col lg:flex-row gap-5 text-center'>
          <div className='w-full'>
            <Image
              src='/assets/images/hotspot-map.png'
              width={608}
              height={281}
              className='w-full mb-6'
              alt=''
            />
            <h3 className='text-[25px] text-[#295CA9] font-semibold'>
              EUROGRIP GLOBAL OPERATIONS
            </h3>
            <p className='text-[15px] mb-6'>
              Exports spanning over &nbsp;
              <span className='font-semibold'>
                6 Continents | 89 Countries | 102+ Distributors
              </span>
            </p>
            <div className='flex bg-slate-200 p-6 min-h-[235px] gap-4 items-center bg-[url("/assets/images/certification-bg.jpg")]'>
              <Link href={'/certification'}>
              <Image
                src='https://tvseurogrip.com/wp-content/uploads/2021/11/mainpage-certifications.png'
                width={80}
                height={80}
                className='w-[80px] h-[80px]'
                alt=''
              />
              </Link>
              <div className='text-left'>
                <h3 className='text-[25px] uppercase text-[#295CA9] font-semibold'>
                  Certifications
                </h3>
                <p className='text-[16px] font-medium mb-1'>ISO 9001 : 2015</p>
                <p className='text-[16px] font-medium mb-1'>
                  IATF 16949 : 2016
                </p>
                <p className='text-[16px] font-medium mb-1'>ISO 14001 : 2015</p>
                <p className='text-[16px] font-medium mb-1'>ISO 45001 : 2018</p>
                <Link href='/certifications' className='text-[16px] font-medium mb-1'>
                  Know more
                </Link>
              </div>
            </div>
          </div>
          <div className='w-full'>
            <VerticalTabQuotes />
          </div>
        </div>
        <p className='my-[60px]'>
          Eurogrip is one of the best two-wheeler tyres in India. These
          tyres are manufactured by Eurogrip, one of the best manufacturers
          in India and exporters of two-wheeler tyres, three-wheeler tyres,
          ultra light truck tyres, agricultural tyres, industrial tyres and OTR
          tyres. The Eurogrip two-wheeler tyres are perfect for your vehicle
          and will enhance your driving experience. The tyres are made of
          high-quality material and are built to last. They provide a smooth and
          comfortable drive and come with a warranty for your peace of mind. The
          Eurogrip two-wheeler tyres are available in various sizes to suit
          your vehicle.
        </p>
      </BoxContainer>
    </div>
  );
};

export default HomePage;
