import React from 'react';
import {
  faSquarePhone,
  faCircleUser,
  faCheckCircle,
  faCartPlus,
  faGlobeEurope,
  faLocationDot,
  faBars,
  faXmark,
  faFutbol,
  faMotorcycle,
  faSearch,
  faMagic,
  faFlagCheckered,
  faChessBoard,
  faBook,
  faVideo,
  faTv,
  faEnvelopeOpenText,
  faHandHoldingHeart,
  faSortUp,
  faSortDown,
} from '@fortawesome/free-solid-svg-icons';
import { SizeProp } from '@fortawesome/fontawesome-svg-core';
import { FontAwesomeIcon } from '@fortawesome/react-fontawesome';

const Icon = ({
  icon,
  color,
  size,
}: {
  icon: string;
  color: string;
  size?: SizeProp;
}) => {
  let iconToRender;

  switch (icon) {
    case 'phone':
      iconToRender = faSquarePhone;
      break;
    case 'user':
      iconToRender = faCircleUser;
      break;
    case 'check':
      iconToRender = faCheckCircle;
      break;
    case 'cart':
      iconToRender = faCartPlus;
      break;
    case 'globe':
      iconToRender = faGlobeEurope;
      break;
    case 'location':
      iconToRender = faLocationDot;
      break;
    case 'mobile-toggle':
      iconToRender = faBars;
      break;
    case 'mobile-close':
      iconToRender = faXmark;
      break;
    case 'wheel':
      iconToRender = faFutbol;
      break;
    case 'motorcycle':
      iconToRender = faMotorcycle;
      break;
    case 'search':
      iconToRender = faSearch;
      break;
    case 'magic':
      iconToRender = faMagic;
      break;
    case 'flag-checkered':
      iconToRender = faFlagCheckered;
      break;
    case 'chess-board':
      iconToRender = faChessBoard;
      break;
    case 'book':
      iconToRender = faBook;
      break;
    case 'video':
      iconToRender = faVideo;
      break;
    case 'tv':
      iconToRender = faTv;
      break;
    case 'envelope-open-text':
      iconToRender = faEnvelopeOpenText;
      break;
    case 'hand-holding-heart':
      iconToRender = faHandHoldingHeart;
      break;
    case 'chevron-up':
      iconToRender = faSortUp;
      break;
    case 'chevron-down':
      iconToRender = faSortDown;
      break;
    default:
      // Handle cases where an unknown icon is passed
      // console.warn(`Unknown icon name: ${icon}`);
      iconToRender = faGlobeEurope;
  }

  return (
    <FontAwesomeIcon
      icon={iconToRender}
      size={size ? size : 'lg'}
      className='mr-1 '
      color={color}
    />
  );
};

export default Icon;
