import Image from "next/image";

interface MediaKitCardCardProps {
    id: number;
    text: string;
    mediaimage:string;
    downloadlink: string;
    filesize: string;
}

const MediaKitCard = ({ medikitcarddata }: { medikitcarddata: MediaKitCardCardProps }) => {
    return <div>
        <div className="py-4">
                <Image
                    src={medikitcarddata.mediaimage} 
                    alt=''
                    width={245}
                    height={245}
                    className="w-[245px] h-[245px] inline-block mb-5"
                />
            <p className="text-tegblue font-bold text-xl tracking-tight mb-5">{medikitcarddata?.text}</p>
            <a href={medikitcarddata?.downloadlink} className="text-base bg-[#69727d] py-[15px] px-[30px] text-white rounded-xl inline-block text-center leading-none font-semibold" download>
                Download
                <span className="block text-base">{medikitcarddata.filesize}</span>
            </a>
        </div>
    </div>
}

export default MediaKitCard