import BoxContainer from '@/components/shared/box-container';
import Link from 'next/link';
import Image from 'next/image';

const MegaChildLayout2 = ({ title }: { title: string; filter?: boolean }) => {
  const menu = [
    {
      id: 1,
      img: '/assets/images/external-link/megamenu-otr-1.png',
      text: 'AGRICULTURE',
      link: 'https://oht.tvseurogrip.com/segment/agriculture/',
    },
    {
      id: 2,
      img: '/assets/images/external-link/megamenu-otr-2.png',
      text: 'INDUSTRIAL',
      link: 'https://oht.tvseurogrip.com/segment/construction-industrial/',
    },
    {
      id: 3,
      img: '/assets/images/external-link/megamenu-otr-3.png',
      text: 'OTR',
      link: 'https://oht.tvseurogrip.com/segment/otr/',
    },
  ];
  return (
    <BoxContainer>
      <div className='flex felx-col my-[60px] item-center'>
        <div className='w-[50%] flex gap-4'>
          {menu?.map((menuitem: any) => {
            return (
              <Link key={menuitem?.id} href={menuitem?.link}>
                <Image
                  src={menuitem?.img}
                  width={412}
                  height={258}
                  alt=''
                  className='w-[200px]'
                />
                <span className='inline-block mt-2 text-[18px] text-white'>
                  {menuitem?.text}
                </span>
              </Link>
            );
          })}
        </div>
      </div>
    </BoxContainer>
  );
};

export default MegaChildLayout2;
