import { ReactNode } from "react";
import Icon from "../icons/Icon";
import Link from "next/link";

const MegaMenuItem = ({
  text,
  children,
  type,
  href,
}: {
  text: string;
  children?: ReactNode;
  type?: "CTA" | "link";
  href?: string;
}) => {
  return (
    <li
      className={
        children
          ? "group flex items-center justify-center"
          : "flex items-center justify-center"
      }
    >
      <Link
        href={href && href ? href : "#"}
        className={
          type === "link"
            ? "text-[#666666] text-[12px] font-medium py-[25px] flex hover:text-tegred font-notosans"
            : "bg-[#dbdbdb] text-[#333] font-semibold text-[10px] px-[15px] py-[7px] uppercase font-notosans"
        }
      >
        {text}
        {children && (
          <>
            <span className="inline-block group-hover:hidden mt-[-2px]">
              &nbsp;
              <Icon icon="chevron-down" color="#333" size="sm" />
            </span>
            <span className="hidden group-hover:inline-block mt-[-2px]">
              &nbsp;
              <Icon icon="chevron-down" color="red" size="sm" />
            </span>
          </>
        )}
      </Link>
      {children && (
        <div className="absolute left-0 top-[110px] w-full box-border bg-tegblue hidden opacity-0 delay-150 group-hover:block transition-opacity group-hover:opacity-100 z-50">
          <div className="w-full min-h-[350px] container mx-auto">
            {children}
          </div>
        </div>
      )}
    </li>
  );
};

export default MegaMenuItem;
