import BoxContainer from '@/components/shared/box-container';
import ProductFilterWidget from '@/components/shared/widget/ProductFilter';
import MegaMenuItem from '@/components/shared/mega-menu/mega-menu-item';
import MegaChildLayout1 from '@/components/shared/mega-menu/layout/mega-child-layout1';
import MegaChildLayout2 from '@/components/shared/mega-menu/layout/mega-child-layout2';
import MegaChildLayout3 from '@/components/shared/mega-menu/layout/mega-child-layout3';
import { mmAboutEurogrip, mmTwoWheeler } from '@/constants/navigation-menu';
import TwoColumnMenu from '../two-column-menu';
import InvestorRelationsMegaMenu from '@/components/shared/mega-menu/layout/mega-child-layout3';

const MegaMenu = () => {
  return (
    <nav className='hidden lg:block'>
      <ul className='flex gap-x-4 justify-center'>
        <MegaMenuItem text='Home' type='link' href='/' />
        <MegaMenuItem text='Two Wheeler Tyres' type='link'>
          <MegaChildLayout1 title='Two Wheeler Tyres' filter>
            <TwoColumnMenu megamenuitems={mmTwoWheeler} columns={2} />
          </MegaChildLayout1>
        </MegaMenuItem>
        <MegaMenuItem text='Off Highway Tyres' type='link'>
          <MegaChildLayout2 title='Off Highway Tyres' />
        </MegaMenuItem>
        <MegaMenuItem text='About Eurogrip' type='link'>
          <MegaChildLayout1 title='About Eurogrip' filter>
            <TwoColumnMenu megamenuitems={mmAboutEurogrip} columns={2} />
          </MegaChildLayout1>
        </MegaMenuItem>
        <MegaMenuItem text='Investor Relations' type='link'>
          <InvestorRelationsMegaMenu title='Investor Relations' />
        </MegaMenuItem>
        <MegaMenuItem text='Contact us' type='link' href='/contact-us' />
        <MegaMenuItem
          href='/product-category/two-wheeler'
          text='Find my Tyre'
          type='CTA'
        />
      </ul>
    </nav>
  );
};

export default MegaMenu;
