import { megaMenu } from '@/constants/navigation-menu';
import Link from 'next/link';
import React, { useState } from 'react';
import Icon from '../icons/Icon';

const MobileMegaMenu = () => {
  const [openMenu, setOpenMenu] = useState('');
  return (
    <div className='bg-tegblue w-full absolute top-[120px] left-0 p-6'>
      <ul className='list-none'>
        {megaMenu?.map((menuItem: any, index: number) => {
          return (
            <li
              key={menuItem?.id}
              className={`py-2 border-b last:border-b-0 border-orange-400 text-white`}
              onClick={() => {
                setOpenMenu(menuItem?.id);
              }}
            >
              {menuItem?.text + ' '}
              {!!menuItem?.childmenu?.length && (
                <span className='inline-block'>
                  &nbsp;
                  <Icon icon='chevron-down' color='#fff' size='sm' />
                </span>
              )}
              {openMenu === menuItem?.id && menuItem && (
                <ul>
                  {menuItem.childmenu?.map((item: any) => {
                    return (
                      <li
                        key={item?.id}
                        className='p-2 border-b last:border-b-0 text-[#bfd9ff]'
                      >
                        <Link href={item?.route}>{item?.text}</Link>
                      </li>
                    );
                  })}
                </ul>
              )}
            </li>
          );
        })}
      </ul>
    </div>
  );
};

export default MobileMegaMenu;
