import React from 'react';

import {
  irResources,
  irShareHolders,
  irFinance,
} from '@/constants/navigation-menu';
import Link from 'next/link';

const InvestorRelationSideMenu = () => {
  return (
    <ul>
      {irResources?.map((navItem: any) => {
        return (
          <li
            key={navItem?.id}
            className='border-b border-solid border-b-[#666] last:border-0 hover:bg-[#666666] '
          >
            <Link
              className='text-[#666666] text-[14px] font-medium uppercase px-5 py-[13px] block hover:text-[#FFFFFF]'
              href={navItem?.route}
            >
              {navItem?.text}
            </Link>
          </li>
        );
      })}
      {irShareHolders?.map((navItem: any) => {
        return (
          <li
            key={navItem?.id}
            className='border-b border-solid border-b-[#666] last:border-0 hover:bg-[#666666] '
          >
            <Link
              className='text-[#666666] text-[14px] font-medium uppercase px-5 py-[13px] block hover:text-[#FFFFFF]'
              href={navItem?.route}
            >
              {navItem?.text}
            </Link>
          </li>
        );
      })}
      {irFinance?.map((navItem: any) => {
        return (
          <li
            key={navItem?.id}
            className='border-b border-solid border-b-[#666] last:border-0 hover:bg-[#666666] '
          >
            <Link
              className='text-[#666666] text-[14px] font-medium uppercase px-5 py-[13px] block hover:text-[#FFFFFF]'
              href={navItem?.route}
            >
              {navItem?.text}
            </Link>
          </li>
        );
      })}
    </ul>
  );
};

export default InvestorRelationSideMenu;
