'use client';

import React from 'react';
import {
  faWhatsapp,
  faFacebook,
  faTelegram,
  faLinkedin,
  faTwitter,
} from '@fortawesome/free-brands-svg-icons';
import { FontAwesomeIcon } from '@fortawesome/react-fontawesome';
import { faEnvelope } from '@fortawesome/free-solid-svg-icons';

const ProductSocmed = () => {
  const shareUrls = {
    whatsapp: (url: string) => `https://wa.me/?text=${encodeURIComponent(url)}`,
    facebook: (url: string) =>
      `https://www.facebook.com/sharer/sharer.php?u=${encodeURIComponent(url)}`,
    email: (url: string) =>
      `mailto:?subject=Check this product&body=${encodeURIComponent(url)}`,
    linkedin: (url: string) =>
      `https://www.linkedin.com/sharing/share-offsite/?url=${encodeURIComponent(
        url
      )}`,
    telegram: (url: string) =>
      `https://telegram.me/share/url?url=${encodeURIComponent(url)}`,
    twitter: (url: string) =>
      `https://twitter.com/intent/tweet?url=${encodeURIComponent(url)}`,
  };

  const handleShare = (platform: keyof typeof shareUrls) => {
    const currentUrl = window.location.href;
    const shareUrl = shareUrls[platform](currentUrl);

    window.open(shareUrl, '_blank');
  };

  return (
    <div className='flex space-x-2'>
      <div
        className='bg-tegblue p-2 rounded-[50%] w-[35px] h-[35px] leading-[12px]'
        onClick={() => handleShare('whatsapp')}
      >
        <FontAwesomeIcon
          icon={faWhatsapp}
          size='lg'
          className='cursor-pointer text-[#ffffff]'
        />
      </div>
      <div
        className='bg-tegblue p-2 rounded-[50%] w-[35px] h-[35px] leading-[12px]'
        onClick={() => handleShare('facebook')}
      >
        <FontAwesomeIcon
          icon={faFacebook}
          size='lg'
          className='cursor-pointer text-[#ffffff]'
        />
      </div>
      <div
        className='bg-tegblue p-2 rounded-[50%] w-[35px] h-[35px] leading-[12px]'
        onClick={() => handleShare('email')}
      >
        <FontAwesomeIcon
          icon={faEnvelope}
          size='lg'
          className='cursor-pointer text-[#ffffff]'
        />
      </div>
      <div
        className='bg-tegblue p-2 rounded-[50%] w-[35px] h-[35px] leading-[12px]'
        onClick={() => handleShare('linkedin')}
      >
        <FontAwesomeIcon
          icon={faLinkedin}
          size='lg'
          className='cursor-pointer text-[#ffffff]'
        />
      </div>
      <div
        className='bg-tegblue p-2 rounded-[50%] w-[35px] h-[35px] leading-[12px]'
        onClick={() => handleShare('telegram')}
      >
        <FontAwesomeIcon
          icon={faTelegram}
          size='lg'
          className='cursor-pointer text-[#ffffff]'
        />
      </div>
      <div
        className='bg-tegblue p-2 rounded-[50%] w-[35px] h-[35px] leading-[12px]'
        onClick={() => handleShare('twitter')}
      >
        <FontAwesomeIcon
          icon={faTwitter}
          size='lg'
          className='cursor-pointer text-[#ffffff]'
        />
      </div>
    </div>
  );
};

export default ProductSocmed;
