'use client';
import { useCartStore } from '@/store/useCartStore';
import { faCartShopping } from '@fortawesome/free-solid-svg-icons';
import { FontAwesomeIcon } from '@fortawesome/react-fontawesome';
import React from 'react';

const FloatingCart = ({
  clickHandler,
}: {
  clickHandler: (p: boolean) => void;
}) => {
  const { items } = useCartStore();
  return (
    <>
      {items?.length !== 0 && (
        <div
          className='floating-cart'
          onClick={() => {
            clickHandler(true);
          }}
        >
          <span className='cart-nos'>{items?.length}</span>
          <FontAwesomeIcon icon={faCartShopping} />
        </div>
      )}
    </>
  );
};

export default FloatingCart;
