// src/components/FilterForm.tsx

'use client';
import HierarchicalFilter from '@/components/shared/product/dynamic-hierarchical-filter';
import PriceRangeFilter from '@/components/shared/product/product-range-filter';
import TyreSizeFilter from '@/components/shared/product/filter/tyre-size-filter';
import ProductFilterDivider from '@/components/shared/ProductFilterDivider';
import SegmentFilter from '@/components/shared/product/filter/segment-filter';
import PatternFilter from '@/components/shared/product/filter/pattern-filter';

export default function FilterForm() {
  return (
    <form className='mb-8'>
      <div className='bg-[#bcbec0] px-[15px] py-[10px] text-center rounded-t-lg'>
        <span className='mb-2 block uppercase text-[12px] font-semibold'>
          SEARCH BY VEHICLE
        </span>
        <HierarchicalFilter />
      </div>
      <ProductFilterDivider />
      <div className='bg-[#bcbec0] px-[15px] py-[10px] text-center rounded-t-lg'>
        <span className='mb-2 block uppercase text-[12px] font-semibold'>
          SELECT FRONT (OR) REAR TYRE SIZE
        </span>
        <TyreSizeFilter />
      </div>
      <ProductFilterDivider />
      <PriceRangeFilter />
      <div className='bg-[#bcbec0] px-[15px] py-[10px] text-center rounded-t-lg'>
        <span className='mb-2 block uppercase text-[12px] font-semibold'>
          SEARCH BY PATTERN
        </span>
        <PatternFilter />
      </div>
      <ProductFilterDivider />
      <div className='bg-[#bcbec0] px-[15px] py-[10px] text-center rounded-t-lg'>
        <span className='mb-2 block uppercase text-[12px] font-semibold'>
          SEARCH BY SEGMENT
        </span>
        <SegmentFilter />
      </div>
    </form>
  );
}
