// src/components/TyreSizeFilter.tsx
'use client';

import { useProductStore } from '@/store/useProductStore';
import { patternList } from '@/constants/pattern';

export default function PatternFilter() {
  const { pattern, setPattern } = useProductStore();

  return (
    <div className='flex flex-col gap-4'>
      <select
        id='segment-filter'
        value={pattern}
        onChange={(e) => setPattern(e.target.value)}
        className='w-full border rounded-md p-2'
      >
        <option value=''>Select Pattern</option>
        {patternList.map((size) => (
          <option key={size.id} value={size.attributes.slug}>
            {size.attributes.name}
          </option>
        ))}
      </select>
    </div>
  );
}
