'use client';

import { useProductStore } from '@/store/useProductStore';
import { segmentList } from '@/constants/segments';

export default function SegmentFilter() {
  const { segment, setSegment } = useProductStore();

  return (
    <div className='flex flex-col gap-4'>
      <select
        id='segment-filter'
        value={segment}
        onChange={(e) => setSegment(e.target.value)}
        className='w-full border rounded-md p-2'
      >
        <option value=''>Select Segment</option>
        {segmentList.map((segmentItem) => (
          <option key={segmentItem.id} value={segmentItem.attributes.slug}>
            {segmentItem.attributes.name}
          </option>
        ))}
      </select>
    </div>
  );
}
