// src/components/TyreSizeFilter.tsx
'use client';

import { useProductStore } from '@/store/useProductStore';
import { frontTyreSizeList, rearTyreSizeList } from '@/constants/tyresize';
import { useState } from 'react';

export default function TyreSizeFilter() {
  const {
    frontTyreSize,
    setFrontTyreSize,
    rearTyreSize,
    setRearTyreSize,
    select,
    setSelect,
  } = useProductStore();

  // console.log(frontTyreSize);

  return (
    <div className='flex flex-col gap-4'>
      <div>
        <select
          id='cond-display-pos'
          value={select}
          onChange={(e) => setSelect(e.target.value)}
          className='w-full border rounded-md p-2'
        >
          <option value=''>Choose Front or Rear</option>
          <option value='front'>Front</option>
          <option value='rear'>Rear</option>
        </select>
      </div>
      {select === 'front' && (
        <div>
          <select
            id='front-tyre-size'
            value={frontTyreSize}
            onChange={(e) => setFrontTyreSize(e.target.value)}
            className='w-full border rounded-md p-2'
          >
            <option value=''>Select Front Tyre Size...</option>
            {frontTyreSizeList.map((size) => (
              <option key={size.id} value={size.attributes.slug}>
                {size.attributes.size}
              </option>
            ))}
          </select>
        </div>
      )}
      {select === 'rear' && (
        <div>
          <select
            id='rear-tyre-size'
            value={rearTyreSize}
            onChange={(e) => setRearTyreSize(e.target.value)}
            className='w-full border rounded-md p-2'
          >
            <option value=''>Select Rear Tyre Size...</option>
            {rearTyreSizeList.map((size) => (
              <option key={size.id} value={size.attributes.slug}>
                {size.attributes.size}
              </option>
            ))}
          </select>
        </div>
      )}
    </div>
  );
}
