'use client';
import React from 'react';
import 'react-responsive-carousel/lib/styles/carousel.min.css'; // requires a loader
import { Carousel } from 'react-responsive-carousel';
import Image from 'next/image';
import { ImageDataProp } from '@/type/strapi-products';

const ProductDetailsCarousel = ({ images }: { images: ImageDataProp[] }) => {
  return (
    <div className='text-white text-[20px] w-full max-w-[1360px] mx-auto top-[50px]'>
      <Carousel
        infiniteLoop={true}
        showIndicators={false}
        showStatus={false}
        showThumbs={true}
        showArrows={false}
        thumbWidth={80}
        renderThumbs={() =>
          images.map((img, index) => (
            <Image
              key={img?.id}
              src={'http://tyrefinder.co.in' + img?.attributes?.url}
              alt={img?.attributes?.name}
              width={80}
              height={80}
            />
          ))
        }
        className='productCarousel'
      >
        {images?.map((img, ind) => (
          <Image
            key={img?.id}
            src={'http://tyrefinder.co.in' + img?.attributes?.url}
            alt={img?.attributes?.name}
            width={356}
            height={356}
          />
        ))}
      </Carousel>
    </div>
  );
};

export default ProductDetailsCarousel;
