import { statisticsData } from '@/constants/categories';
import BoxContainer from './box-container';
interface StatItem {
  count: string;
  text: string;
  desc: string;
}

export default function StatisticsCard() {
  return (
    <div className='bg-[#1E4786] py-[120px] px-4'>
      <BoxContainer>
        <h2 className='text-3xl font-bold text-white text-center mb-8'>
          TVS EUROGRIP - FASTEST GROWING TYRE MANUFACTURER IN INDIA
        </h2>
        <div className='grid grid-cols-2 sm:grid-cols-3 lg:grid-cols-6 gap-2.5'>
          {statisticsData.map((item, index) => (
            <div
              key={index}
              className='border border-white p-4 flex flex-col items-center justify-center text-center text-white'
            >
              <span className='text-[75px] font-light leading-none mb-2'>
                {item.count}
              </span>
              <span className='text-[10px] font-semibold mb-1'>
                {item.text}
              </span>
              <span className='text-sm font-light'>{item.desc}</span>
            </div>
          ))}
        </div>
      </BoxContainer>
    </div>
  );
}
