const TermsConditionsContent = () => {
  return (
    <div>
      <div className='bg-tegblue py-5 mb-8'>
        <div className='container max-w-[1200px]'>
          <h1 className='uppercase md:text-[40px] text-[24px] text-white'>
            Terms and Conditions of Sale / Service
          </h1>
        </div>
      </div>
      <div className='container max-w-[1200px] mt-4 pb-5 mb-5'>
        <p className='text-tegblue font-semibold text-sm mb-4'>
          1. SCOPE AND COVERAGE:
        </p>
        <ul className='ps-4 list-disc pb-5'>
          <li className='text-[#7A7A7A]'>
            <p className='text-sm text-[#7A7A7A]'>
              All orders booked by the Company will be subject to these
              conditions of sale and all purchasers are deemed to have signified
              their acceptance of these conditions while placing orders. It will
              be optional to the Company to cancel whole or part of any order at
              any time even though it has been accepted and whether or not it
              has been partly executed by the Company.
            </p>
          </li>
          <li className='text-[#7A7A7A]'>
            <p className='text-sm text-[#7A7A7A]'>
              In case where the place of supply for goods/services is dependent
              upon the location of registered person, address provided by the
              purchaser (as provided in the purchase order) for the purpose of
              billing would be treated as &apos;Location of
              Recipient&apos;/address on records as envisaged under GST
              legislation. Further, in case where any additional liability (tax,
              interest penalty etc) arises on the company due to incorrect
              determination of &apos;Location of Recipient&apos; by purchaser,
              purchaser should indemnify the company.
            </p>
          </li>
          <li className='text-[#7A7A7A]'>
            <p className='text-sm text-[#7A7A7A]'>
              Generally no change in details received from the purchaser would
              be made by the company after issuance of invoice. Any changes in
              the invoice, in circumstances deemed fit by the company, would be
              done only after obtaining appropriate undertaking from the
              purchaser in the specified format.
            </p>
          </li>
        </ul>
        <p className='text-tegblue font-semibold text-sm mb-4'>
          2. PRICES & DISCOUNT ON PRICES:
        </p>
        <p className='text-tegblue font-semibold text-sm'>a) PRICE: </p>
        <ul className='ps-4 pb-5'>
          <li className='text-[#7A7A7A]'>
            <p className='text-sm text-[#7A7A7A]'>
              + Prices exclude any tax or duty relative to the sale of the goods
              .These taxes and duties will be added to the price and will be
              paid by the Buyer.
            </p>
          </li>
          <li className='text-[#7A7A7A]'>
            <p className='text-sm text-[#7A7A7A]'>
              + Prices indicated in the quotations , estimates, or other
              documents issued by the seller prior to acceptance of the order
              are not binding on this.The final price will be that applicable on
              that date of order acceptance.
            </p>
          </li>
          <li className='text-[#7A7A7A]'>
            <p className='text-sm text-[#7A7A7A]'>
              + Prices, discounts and terms are subject to change and such
              discount shall be excluded for computing taxes provided that:
            </p>
          </li>
          <li className='text-[#7A7A7A]'>
            <p className='text-sm text-[#7A7A7A]'>
              {' '}
              - Title to and risk of loss in all the products sold here under
              shall pass to the purchaser at the company&apos;s work, Madurai or
              such other location as may be agreed between the customer and the
              company.
            </p>
          </li>
          <li className='text-[#7A7A7A]'>
            <p className='text-sm text-[#7A7A7A]'>
              - Unless otherwise agreed by the Company in writing the payment
              for the products, sold hereunder shall be cash, 30 (thirty) days
              from the date of invoice by terms acceptable to the company.
              However, invoices shall not be dated earlier than the dates of
              shipment.
            </p>
          </li>
          <li className='text-[#7A7A7A]'>
            <p className='text-sm text-[#7A7A7A]'>
              {' '}
              - Such discount is established in terms of an agreement entered
              into at or before the time of such supply and specifically linked
              to relevant invoices.
            </p>
          </li>
          <li className='text-[#7A7A7A]'>
            <p className='text-sm text-[#7A7A7A]'>
              {' '}
              - Input tax credit has been reversed by the recipient of the
              supply as is attributable to the discount on the basis of the
              document issued by the supplier.
            </p>
          </li>
        </ul>
        <p className='text-tegblue font-semibold text-sm text-[#295ca9]'>
          DISCOUNT ON PRICES :
        </p>
        <ul className='ps-4 pb-5'>
          <li className='text-[#7A7A7A]'>
            <p className='text-sm text-[#7A7A7A]'>
              Any other post supply discount that may be given to the purchaser
              would be communicated vide a ‘Separate Documen&apos; before or at
              the time of supply providing the terms and conditions governing
              such discounts.
            </p>
          </li>
          <li className='text-[#7A7A7A]'>
            <p className='text-sm text-[#7A7A7A]'>
              The purchaser has to reverse the input tax credit as is
              attributable to such discount on the basis of the document issued
              by the company. Responsibility of confirming reversal of input tax
              credit attributable to such discount should be casted upon
              purchaser by way of contractual obligation.
            </p>
          </li>
          <li className='text-[#7A7A7A]'>
            <p className='text-sm text-[#7A7A7A]'>
              Existing terms to be evaluated to ensure that quantum of discount
              granted pre GST is comparable post GST
            </p>
          </li>
          <li className='text-[#7A7A7A]'>
            <p className='text-sm text-[#7A7A7A]'>
              In case of any discount allowed without having an agreement in
              place, such discount shall be passed on by way of credit notes
              issued in compliance with section 34 of the CGST Act within the
              timelines prescribed.
            </p>
          </li>
        </ul>
        <p className='text-tegblue font-semibold text-sm text-[#295ca9]'>
          SUBSEQUENT CHANGES IN PRICES:
        </p>
        <ul className='ps-4 pb-5'>
          <li className='text-[#7A7A7A]'>
            <p className='text-sm text-[#7A7A7A]'>
              Outstanding orders whatever their dates will be fulfilled at
              prices, discounts and terms ruling on the date of shipment.
            </p>
          </li>
          <li className='text-[#7A7A7A]'>
            <p className='text-sm text-[#7A7A7A]'>
              In case of any change in price/value subsequent to supply, shall
              be recovered of refunded by way of issue of appropriate document
              which shall be over and above this invoice issued and it shall be
              issued in compliance with section 34 of the CGST Act within the
              timelines prescribed.
            </p>
          </li>
          <li className='text-[#7A7A7A]'>
            <p className='text-sm text-[#7A7A7A]'>
              Price/Value mentioned in the invoice will be generally payable
              subject to the condition that the Company at its discretion may
              recover or refund in case of subsequent increases/decreases, the
              difference in price/value.
            </p>
          </li>
        </ul>
        <p className='text-tegblue font-semibold text-sm text-[#295ca9]'>
          3. LIMITATION OF LIABILITY RELATING TO TAXES AND LEVIES OF CENTRAL AND
          STATE GOVERNMENT:
        </p>
        <ul className='ps-4 pb-5'>
          <li className='text-[#7A7A7A]'>
            <p className='text-sm text-[#7A7A7A]'>
              The Prices/fees quoted for supply of goods/services should be
              exclusive of GST/Indirect taxes as may be applicable. The same
              shall be separately recoverable based on the HSN/SAC
              classification at Purchase Order stage. Further, the company shall
              not be held liable in case where any demand of tax or additional
              liability is made on purchaser due to dispute in the
              classification adopted by the company with the tax authorities.
            </p>
          </li>
          <li className='text-[#7A7A7A]'>
            <p className='text-sm text-[#7A7A7A]'>
              In case the purchaser is eligible for any exemption or lower rate
              of tax, the purchaser is responsible to provide the requisite
              details, documents, declarations or undertake any prescribed
              compliance for the purpose of tax exemptions/lower tax rates while
              issuing purchase order or before supply is made (whichever is
              earlier). In absence of this, no tax exemption/lower rates would
              be extended. Further, in case of any incorrect/incomplete or any
              non-compliance on behalf of the purchaser because of which a
              demand is raised to the company by the tax authorities, the
              purchaser shall be immediately liable to pay the applicable
              taxes/amount (including interest, penalty and associated
              litigation cost) if any upon notification by the company.
            </p>
          </li>
        </ul>
        <p className='text-tegblue font-semibold text-sm text-[#295ca9]'>
          4. POINT OF SALE AND PAYMENT:
        </p>
        <ul className='ps-4 pb-5'>
          <li className='text-[#7A7A7A]'>
            <p className='text-sm text-[#7A7A7A]'>
              All cheques, drafts, hundies etc., should be made to order and
              crossed payable to “TVS Srichakra Ltd.” and shall be Account payee
              only.
            </p>
          </li>
          <li className='text-[#7A7A7A]'>
            <p className='text-sm text-[#7A7A7A]'>
              Where documents are sent through bank it is expressly stipulated
              that notwithstanding anything to the contrary contained herein the
              property in the goods will pass to the purchaser only upon the
              retirement of documents against payment to the banker and
              concluded sale will take place on the date on which the documents
              are retired where the documents are sent through bank.
            </p>
          </li>
        </ul>
        <p className='text-tegblue font-semibold text-sm text-[#295ca9]'>
          5. LATE PAYMENT:
        </p>
        <ul className='ps-4 pb-5'>
          <li className='text-[#7A7A7A]'>
            <p className='text-sm text-[#7A7A7A]'>
              In case of non-compliance with the payment term, the BUYER will be
              automatically in default and the SELLER may require the BUYER to
              pay interest @ 18% p.a.
            </p>
          </li>
          <li className='text-[#7A7A7A]'>
            <p className='text-sm text-[#7A7A7A]'>
              In the event of late payment, the SELLER is entitled to demand
              payment in advance on future orders, or delivery of a bank or
              other guarantee, for the same amount that is acceptable to him or
              opening a Letter of Credit.
            </p>
          </li>
        </ul>
        <p className='text-tegblue font-semibold text-sm text-[#295ca9]'>
          6. RESPONSIBILITIES OF BUYER:
        </p>
        <ul className='ps-4 pb-5'>
          <li className='text-[#7A7A7A]'>
            <p className='text-sm text-[#7A7A7A]'>
              Packages should be verified with the corresponding invoices
              shipping order/railway receipt at the time of accepting delivery
              form the transporter/carrier.
            </p>
          </li>
          <li className='text-[#7A7A7A]'>
            <p className='text-sm text-[#7A7A7A]'>
              Failure by the purchaser to give written notice of shortage within
              15 days from the date of receipt of the products or in the case of
              non shipment the date fixed for shipment, respectively shall
              constitute a waiver by the purchaser of all such claims as
              aforesaid arising as a result of such delivery or non-shipment.
            </p>
          </li>
        </ul>
        <p className='text-tegblue font-semibold text-sm text-[#295ca9]'>
          7. WARRANTIES AND LIABILITY:
        </p>
        <ul className='ps-4 pb-5'>
          <li className='text-[#7A7A7A]'>
            <p className='text-sm text-[#7A7A7A]'>
              Every effort shall be made by the company to secure the highest
              possible standard of excellence of both material and workmanship.
              However, the company makes no warranties, expressed or implied,
              with regard to the products hereunder. Further the company makes
              no representation whatsoever in respect of any products
              manufactured, sold or supplied by the company or their dealers and
              all conditions and guarantees whether statutory or otherwise, are
              hereby expressly excluded.
            </p>
          </li>
          <li className='text-[#7A7A7A]'>
            <p className='text-sm text-[#7A7A7A]'>
              The company expressly and specifically disclaims any warranty of
              merchantability or fitness for a particular application/purpose.
              The company shall not be liable in respect of any claim whether
              arising out of the use of any of the company&apos;s products or
              otherwise and in no event the company shall be liable for special,
              consequential or incidental damages.
            </p>
          </li>
        </ul>
        <p className='text-tegblue font-semibold text-sm text-[#295ca9]'>
          8. REMEDY FOR DEFECTIVE PRODUCTS:
        </p>
        <ul className='ps-4 pb-5'>
          <li className='text-[#7A7A7A]'>
            <p className='text-sm text-[#7A7A7A]'>
              In case of any alleged defective goods accepted by the company,
              for the amount equivalent to the ex-gratia allowance to be made, a
              credit note shall be passed in compliance with section 34 of the
              CGST Act within the timelines prescribed.
            </p>
          </li>
          <li className='text-[#7A7A7A]'>
            <p className='text-sm text-[#7A7A7A]'>
              Alleged defective products submitted under claim will be received
              for examination on the understanding that offers made, if any are
              accepted within 21 days from the date of notification and
              instruction for disposal of claims on which no offer is made must
              give 21 days to the company&apos;s office from the date on which
              the notification was sent. if any offer is not accepted or
              disposal instructions are not received within the time specified,
              the company reserves the right to destroy the sold products and no
              compensation whatsoever will be paid to the buyer in respect
              thereof.
            </p>
          </li>
        </ul>
        <p className='pb-5 text-tegblue font-semibold text-sm text-[#295ca9]'>
          9. RETURN OF MATERIALS BY PURCHASER:{' '}
          <span className='font-normal text-sm text-[#7A7A7A]'>
            The company will not accept return of any of their products unless
            the purchaser has received the company&apos;s written permission
            signed by a duly authorised official to return and in all such cases
            the purchaser will return the goods to the company premises at its
            cost and risk and all charges including transportation charges shall
            be paid by the purchaser.
          </span>
        </p>
        <p className='pb-5 text-tegblue font-semibold text-sm text-[#295ca9]'>
          10. DELAY IN TAKING DELIVERY OF THE MATERIALS BY PURCHASER:{' '}
          <span className='font-normal text-sm text-[#7A7A7A]'>
            In the event the purchaser fails to take the delivery of the goods
            ordered by them, the company may in addition to the legal remedies
            deal with the goods on its absolute discretion. In such cases,
            purchaser will be liable to pay damages for the breach of the
            contract equal to aggregate of actual bank/VPP charges, demurrage,
            warfare charges and freight incurred by the company in dispatching
            and recalling the goods. The company&apos;s statement showing the
            expenses in this regard will be final and binding on the purchasers.
            The company reserves the right to stop the supplies to the purchaser
            under the same of any other contract order, unless the said charges
            are paid. Any damages that the purchaser is liable to pay due to
            delay in taking the directly of goods, shall be paid inclusive of
            any duties, cesses and other levies chargeable under any of the acts
            in force.
          </span>
        </p>
        <p className='pb-5 text-tegblue font-semibold text-sm text-[#295ca9]'>
          11. FORCE MAJEURE CLAUSE:
          <span className='font-normal text-sm text-[#7A7A7A]'>
            While the company will make every reasonable efforts to effect
            prompt delivery of the said products, it shall not be liable for any
            delay in delivery or for failure to deliver, due to unforeseen
            circumstances or due to circumstances beyond its control including
            but not limited to, act of God, fire, flood, war, government
            regulations, direction or request, accident, labour trouble or
            inability to obtain material, equipment or transportation.
          </span>
        </p>
        <p className='pb-5 text-tegblue font-semibold text-sm text-[#295ca9]'>
          12. ARBITRATION AND APPLICABLE LAW:{' '}
          <span className='font-normal text-sm text-[#7A7A7A]'>
            The law of Republic of India shall be the governing law and any
            difference or disputes relating to the goods/the subject matter of
            this invoice would be within the jurisdiction of the courts of
            Madurai and the said courts alone shall have sole exclusive
            jurisdiction to entertain any civil/other suit or matter in respect
            of such goods. All dispute, difference and /or claims arising in
            connection with or arising out of this contract or an earlier
            contract shall be settled amicably, failing which by arbitration in
            accordance with the Indian Arbitration and Conciliation Act, 1996 or
            any statutory amendments replacements thereof. The arbitration
            tribunal shall consist of three (3) arbitrators, one arbitrator to
            be appointed by each party and the third arbitrator shall be
            nominated by the two arbitrators, nominated by the parties. The
            award given by this arbitrator shall be final and binding on all the
            parties to this contract. The venue of arbitration shall be Madurai.
            The arbitrators shall apply Indian laws and the language of
            arbitration shall be English.
          </span>
        </p>
        <p className='pb-5 text-tegblue font-semibold text-sm text-[#295ca9]'>
          13. COMPLIANCE:{' '}
          <span className='font-normal text-sm text-[#7A7A7A]'>
            External service provider shall meet all applicable statutory,
            Regulatory and company specified requirements.
          </span>
        </p>
        <p className='pb-5 text-tegblue font-semibold text-sm text-[#295ca9]'>
          14. OTHER PROVISIONS:{' '}
          <span className='font-normal text-sm text-[#7A7A7A]'>
            {' '}
            The SELLER does not recognize other trading conditions. BUYER
            expressly disclaims the enforcement of its own commercial terms.
          </span>
        </p>
      </div>
    </div>
  );
};

export default TermsConditionsContent;
