'use client';
import React, { useState } from 'react';
import Link from 'next/link';
import Icon from '@/components/shared/icons/Icon';
import { topNav } from '@/constants/navigation-menu';
import { Button } from '@/components/ui/button';
import { tertiary } from '@/constants/colors';

const TopNavbar = () => {
  const [openMenu, setOpenMenu] = useState<boolean>(false);
  return (
    <header className='w-full bg-primary text-[13px] font-bold lg:h-[35px]'>
      <div className='container max-w-[1200px] mx-auto px-6 py-1 flex flex-col lg:flex-row justify-end items-center box-border h-[35px]'>
        {/* <button className='hidden lg:block font-notosans uppercase text-[12px]'>
          <Icon icon='location' color={tertiary?.default} />
          Check Pincode
        </button> */}
        <Button
          className='lg:hidden w-full flex justify-between p-0'
          onClick={() => {
            setOpenMenu(!openMenu);
          }}
        >
          <span className='text-[13px]'>
            <Icon icon='phone' color={tertiary?.default} /> 1800 123 004 400
          </span>
          <Icon
            icon={openMenu ? 'mobile-close' : 'mobile-toggle'}
            color={tertiary?.default}
          />
        </Button>
        <nav
          className={`top-nav bg-tegblue p-6 lg:p-0 flex flex-col items-center justify-center lg:flex-row w-full lg:w-fit lg:flex ${
            openMenu ? '' : 'hidden'
          }`}
        >
          {topNav?.map((navItem) => {
            return (
              <Link
                key={navItem?.text}
                href={navItem?.route ?? ''}
                className='font-notosans font-bold text-[12px] leading-[20px] text-white hover:text-primary-yellow py-3 lg:py-0 lg:px-[15px] flex gap-y-4 items-center text-left lg:text-center top-menu-item'
              >
                <Icon icon={navItem?.icon} color={tertiary?.default} />
                {navItem?.text}
              </Link>
            );
          })}
        </nav>
      </div>
    </header>
  );
};

export default TopNavbar;
