'use client';
import React from 'react';

const HeroBannerWithCTA = ({
  img,
  hidecta,
  link,
}: {
  img: string;
  hidecta?: boolean;
  link?: string;
}) => {
  const handleBannerClick = () => {
    if (link) {
      window.location.href = link; // Redirect to the specified URL
    }
  };

  return (
    <div
      className={`relative h-[475px] w-full flex items-center justify-center bg-cover bg-center ${
        link && 'cursor-pointer'
      }`}
      style={{
        backgroundImage: `url('${img}')`,
      }}
      onClick={handleBannerClick}
    >
      {!hidecta && (
        <button className='bg-tegblue hover:bg-blue-700 text-white font-bold py-2 px-4 rounded'>
          BUY NOW
        </button>
      )}
    </div>
  );
};

export default HeroBannerWithCTA;
