import Image from "next/image";
import Link from "next/link";

interface TyreGuideCardProps {
  id: number;
  guideicon: string;
  text: string;
  link: string;
}

const TyreGuideCard = ({ tyredata }: { tyredata: TyreGuideCardProps }) => {
  return (
    <div className="bg-white-500 p-[35px] hover:shadow-2xl shadow-xl text-center">
      <Image
        src={tyredata.guideicon}
        alt=""
        width={35}
        height={33}
        className="w-[35px] h-[33px] inline-block mb-4"
      />
      <p className="text-lg uppercase mb-5">{tyredata?.text}</p>
      <Link
        href={tyredata.link}
        className="text-tegred inline-block align-middle group-hover:translate-y-[-10px] transition-transform duration-500 ease-in-out"
      >
        <Image
          src="/assets/icons/right.png"
          alt=""
          width={14}
          height={14}
          className="w-[14px] h-[14px] inline-block mr-2"
        />
        Read More
      </Link>
    </div>
  );
};
export default TyreGuideCard;
