import TyreGuideCard from "@/components/shared/tyre-guide/tyre-guide-card";
import BoxContainer from "@/components/shared/box-container";

const tyreGuideData = [
  {
    id: 1,
    guideicon: "/assets/icons/tyreguideicon1.png",
    text: "How Do I Check my Tyre?",
    link: "/user-journey/#userjourney1",
  },
  {
    id: 2,
    guideicon: "/assets/icons/tyreguideicon2.png",
    text: "How Do I Select my Tyre?",
    link: "/user-journey/#userjourney2",
  },
  {
    id: 3,
    guideicon: "/assets/icons/tyreguideicon3.png",
    text: "How Do I Buy My Tyre Online?",
    link: "/user-journey/#userjourney3",
  },
  {
    id: 4,
    guideicon: "/assets/icons/tyreguideicon4.png",
    text: "How Do I Register for Warranty?",
    link: "/user-journey/#userjourney4",
  },
  {
    id: 5,
    guideicon: "/assets/icons/tyreguideicon5.png",
    text: "How Do I Maintain my Tyre?",
    link: "/user-journey/#userjourney5",
  },
];

const TyreGuideOverview = () => {
  return (
    <BoxContainer>
      <div className="my-[100px]">
        <h1 className="text-center text-tegblue dark:text-sky-400 mb-5 text-2xl font-semibold">
          TWO WHEELER TYRE GUIDE TO SELECT THE RIGHT TYRE FOR YOUR BIKE{" "}
        </h1>
        <div className="grid grid-cols-1 sm:grid-cols-2 md:grid-cols-3 lg:grid-cols-4 xl:grid-cols-5 gap-4">
          {tyreGuideData.map((item) => (
            <TyreGuideCard key={item.id} tyredata={item} />
          ))}
        </div>
      </div>
    </BoxContainer>
  );
};
export default TyreGuideOverview;
