import Image from 'next/image';
import React from 'react';

const UnderConstruction = () => {
  return (
    <div className='min-h-screen flex items-center justify-center bg-gray-100'>
      <div className='max-w-md p-8 bg-white shadow-lg rounded-lg text-center'>
        <h1 className='text-3xl font-bold text-gray-800 mb-4'>
          Under Construction
        </h1>
        <p className='text-gray-600 mb-4'>
          Sorry, this page is currently under construction. Please check back
          later.
        </p>
        <Image
          src='/assets/icons/construction.svg'
          alt='Under Construction'
          width={100}
          height={100}
          className='mx-auto mb-4'
        />
      </div>
    </div>
  );
};

export default UnderConstruction;
