import React from 'react';
import { vehicleCategoriesList } from '@/constants/categories';
import Image from 'next/image';
import Link from 'next/link';
import BoxContainer from './box-container';

interface VehicleCategoryProps {
  name: string;
  icon: string;
  link: string;
  slug: string;
}

const VehicleCategoryIconList = () => {
  return (
    <div className='py-[20px]'>
      <BoxContainer>
        <ul className='grid grid-cols-2 sm:grid-cols-6'>
          {vehicleCategoriesList.map((category) => (
            <li key={category.slug} className='flex'>
              <Link href={category.link} className='w-full'>
                <div className='bg-white hover:shadow-lg transition-shadow duration-300 p-4 flex flex-col items-center justify-center h-full'>
                  <div className='relative w-16 h-16 mb-2'>
                    <Image
                      src={category.icon || '/placeholder.svg'}
                      alt={`${category.name} icon`}
                      fill
                      sizes='(max-width: 768px) 100vw, (max-width: 1200px) 50vw, 33vw'
                      className='object-contain'
                    />
                  </div>
                  <span className='text-center text-sm font-medium'>
                    {category.name}
                  </span>
                </div>
              </Link>
            </li>
          ))}
        </ul>
      </BoxContainer>
    </div>
  );
};

export default VehicleCategoryIconList;
