import Image from "next/image";

interface WarrantyPolicyBannerProps{
    bannerImage: string;
}

const WarrantyPolicyBanner = ({bannerImage} : WarrantyPolicyBannerProps) => {
    return (
        <div className="w-full"> {/* Container for full-width image */}
            <div className="mb-4"> {/* Optional: Maintain aspect ratio */}
                <Image
                    src={bannerImage}
                    alt="Warranty Policy"
                    width={1000}
                    height={1000}
                    className="w-full h-full max-w"
                />
            </div>
        </div>
    );
};

export default WarrantyPolicyBanner;