import Image from "next/image"

const WarrantyPolicyContent = () => {
    return <div>
        <h1 className="text-tegblue mx-5 text-center uppercase font-semibold mb-3">Eurogrip Warranty Policy For Two-wheeler, Three-wheeler, ULTra-light truck (ULT) and SMALL COMMERCIAL VEHICLE (SCV) Tyres Effective from April 1, 2024</h1>
        <p className="mb-2">This <strong>“Mega Warranty Policy”</strong> is applicable to Two-wheeler, Three-wheeler & SCV (Small Commercial Vehicle) Tyres from date of manufacture, covering both manufacturing and non-manufacturing defects. The warranty remains valid until the remaining pattern depth reaches 0.8 mm for Two-wheeler, Three-wheeler tyres and 1.6 mm for SCV tyres. It is pro-rated based on specific terms and conditions.</p>
        <p className="mb-1"><strong>1. Warranty Policy Applicability:</strong> Applicable to tyres fitted as original fitment on vehicles, and for those purchased as replacement fitment</p>
        <p className="mb-3 text-[#4A4A4A]"><strong>1.1 The warranty Period for manufacturing Defects is as follows:</strong></p>
        <table className="table-auto w-full text-sm mb-4">
            <thead>
                <tr>
                    <th className="text-left py-2 bg-tegblue w-1/2"><p className="text-white ps-2">Product Category</p></th>
                    <th className="text-left py-2 bg-tegblue w-1/2"><p className="text-white ps-2">Warranty Period</p></th>
                </tr>
            </thead>
            <tbody>
                <tr className="py-2">
                    <td className="w-1/2 py-2"><p>Two Wheeler Tyres: Motorcycle Tyres / Scooter Tyres / Moped Tyres</p></td>
                    <td className="w-1/2 py-2"><p><strong>5 years</strong> from the date of manufacture or until the remaining pattern depth reaches <strong>0.8 mm</strong> in line with Tread Wear indicators TWI (whichever is earlier).</p></td>
                </tr>
                <tr>
                    <td className="w-1/2 py-2"><p>Three Wheeler Tyres: (4.00-8 & 4.00-10)<br />Ultra Light Truck : (4.50-10 & 5.00-10 )<br />E-Rickshaw Tyres: (3.75-12 & 90/90-12)</p></td>
                    <td className="w-1/2 py-2"><p><strong>5 years</strong> from the date of manufacture or until the remaining pattern depth reaches <strong>0.8 mm</strong> in line with Tread Wear indicators TWI (whichever is earlier).</p></td>
                </tr>
                <tr>
                    <td className="w-1/2 py-2"><p>SCV Tyres</p></td>
                    <td className="w-1/2 py-2"><p><strong>4 years</strong> from the date of manufacture or until the remaining pattern depth reaches <strong>1.6mm</strong> in line with Tread Wear indicators TWI (whichever is earlier).</p></td>
                </tr>
                <tr>
                    <td className="w-1/2 py-2"><p>Tubes</p></td>
                    <td className="w-1/2 py-2"><p><strong>2 years</strong> from the date of manufacture, (applicable from Jan 1, 2023).</p></td>
                </tr>
            </tbody>
        </table>
        <p className="mb-3 text-[#4A4A4A]"><strong>1.2 Warranty Cost- Manufacturing Defects:</strong></p>
        <table className="table-auto w-full text-sm mb-4">
            <tbody>
                <tr className="py-2">
                    <td className="w-1/2 py-2"><p>For tyres up to 10% tread wear (2/3 wheelers, ULT, SCV, and E rickshaw tyres)</p></td>
                    <td className="w-1/2 py-2"><p>Replacement is <strong>Free of Cost (FOC)</strong> for manufacturing defects</p></td>
                </tr>
                <tr>
                    <td className="w-1/2 py-2"><p>For tyres over 10 % tread wear (2/3 wheelers ULT, SCV and E rickshaw tyres)</p></td>
                    <td className="w-1/2 py-2"><p>Replacement is on a <strong>Pro-rata</strong> basis for manufacturing defects</p></td>
                </tr>
                <tr>
                    <td className="w-1/2 py-2"><p>Tubes</p></td>
                    <td className="w-1/2 py-2"><p>Replacement is <strong>Free of Cost (FOC)</strong> for manufacturing defects</p></td>
                </tr>
            </tbody>
        </table>
        <p className="mb-3 text-[#4A4A4A]"><strong>1.3 The warranty Period for non-manufacturing defects is as follows:</strong></p>
        <table className="table-auto w-full text-sm mb-4">
            <thead>
                <tr>
                    <th className="text-left py-2 bg-tegblue w-1/2"><p className="text-white ps-2">Product Category</p></th>
                    <th className="text-left py-2 bg-tegblue w-1/2"><p className="text-white ps-2">Warranty Period</p></th>
                </tr>
            </thead>
            <tbody>
                <tr className="py-2">
                    <td className="w-1/2 py-2"><p>Two Wheeler Tyres: Motorcycle Tyres / Scooter Tyres / Moped Tyres<br />E-Rickshaw Tyres: (3.75-12 & 90/90-12)</p></td>
                    <td className="w-1/2 py-2"><p><strong>3 years</strong>  from the date of manufacture or up to 50% tread wear whichever is earlier</p></td>
                </tr>
                <tr>
                    <td className="w-1/2 py-2"><p>Three Wheeler Tyres: (4.00-8 & 4.00-10) <br />Ultra Light Truck : (4.50-10 & 5.00-10)</p></td>
                    <td className="w-1/2 py-2"><p><strong>2 years</strong> from the date of manufacture or up to <strong>50% tread wear</strong> whichever is earlier, (applicable from April 1, 2024, 1424 Week & Year code)</p></td>
                </tr>
                <tr>
                    <td className="w-1/2 py-2"><p>SCV Tyres</p></td>
                    <td className="w-1/2 py-2"><p><strong>4 years</strong> from the date of manufacture or up to <strong>50% tread wear</strong> whichever is earlier</p></td>
                </tr>
            </tbody>
        </table>
        <p className="mb-3 text-[#4A4A4A]"><strong>1.4 Warranty Cost- Non-Manufacturing Defects:</strong></p>
        <table className="table-auto w-full text-sm mb-4">
            <tbody>
                <tr className="py-2">
                    <td className="w-1/2 py-2"><p>For tyres with <strong>0 to 5%</strong> tread wear (2/3 wheelers, ULT, SCV, and E rickshaw tyres)</p></td>
                    <td className="w-1/2 py-2"><p>Replacement is on a minimum <strong>5%</strong> chargeable basis</p></td>
                </tr>
                <tr>
                    <td className="w-1/2 py-2"><p>For tyres over 10 % tread wear (2/3 wheelers ULT, SCV and E rickshaw tyres)</p></td>
                    <td className="w-1/2 py-2"><p>Replacement is on a <strong>Pro-rata</strong> basis for manufacturing defects</p></td>
                </tr>
                <tr>
                    <td className="w-1/2 py-2"><p>Tubes</p></td>
                    <td className="w-1/2 py-2"><p>Replacement is <strong>Free of Cost (FOC)</strong> for manufacturing defects</p></td>
                </tr>
            </tbody>
        </table>
        <p className="mb-1"><strong>2. Other General Terms & Conditions:</strong></p>
        <ul className="list-disc">
            <li><p className="text-sm py-1">All failures, excluding intentional damage, are covered</p></li>
            <li><p className="text-sm py-1">Defects applicable under <strong>non-manufacturing</strong> category that make tyres unserviceable would be Run flat, Concussion, Rim digging, Scoring, non-repairable through cut, Sat on Rim, Fitment damage / Lock rim damage. </p></li>
            <li><p className="text-sm py-1">The decision on unserviceability is at the discretion of TSL. <strong>Unserviceability shall not include non-manufacturing defects such as one side wear, patchy wear, uneven wear, misalignment wear</strong></p></li>
            <li><p className="text-sm py-1">Tyres that can be made serviceable with <strong>minor repairs and puncture</strong> should not be presented under this warranty</p></li>
            <li><p className="text-sm py-1">This warranty shall be applicable only on product&apos;s initial tread life and shall not be applicable for repaired or retreaded products.</p></li>
            <li><p className="text-sm py-1">Tyres accepted under warranty shall be replaced with same or similar product, and difference in price will be adjusted on pro-rata basis, based on average tread wear.</p></li>
            <li><p className="text-sm py-1">Any tubeless tyre which has puncture repair can consistently leak air in service, due to poor puncture repair workmanship. This leads to sustained usage in low pressure. Thus, groove crack, sidewall crack, turn-up separation etc., on tyres with puncture repair must be considered in non-manufacturing warranty. Below table may be referenced:</p></li>
        </ul>
        <p className="mb-2 mt-5"><strong>Tread Separation- TL tyre</strong></p>
        <table className="table-auto w-full text-sm mb-4">
            <thead>
                <tr>
                    <th className="text-left py-2 bg-tegblue w-1/4"><p className="text-white ps-2">Tread separation</p></th>
                    <th className="text-left py-2 bg-tegblue w-1/4"><p className="text-white ps-2">1 Puncture</p></th>
                    <th className="text-left py-2 bg-tegblue w-1/4"><p className="text-white ps-2">2 Punctures</p></th>
                    <th className="text-left py-2 bg-tegblue w-1/4"><p className="text-white ps-2">≥ 3 Punctures</p></th>
                </tr>
            </thead>
            <tbody>
                <tr className="py-2">
                    <td className="w-1/4 py-2"><p>Defect Location: Outside Puncture Quadrant <strong>(B, C & D)</strong></p></td>
                    <td className="w-1/4 py-2"><p>Manufacturing warranty</p></td>
                    <td className="w-1/4 py-2"><p>Non-Manufacturing warranty</p></td>
                    <td className="w-1/4 py-2"><p>Non-Manufacturing warranty</p></td>
                </tr>
                <tr>
                <td className="w-1/4 py-2"><p>Defect Location: Near Puncture Quadrant (A)</p></td>
                    <td className="w-1/4 py-2"><p>Non-Manufacturing warranty</p></td>
                    <td className="w-1/4 py-2"><p>Non-Manufacturing warranty</p></td>
                    <td className="w-1/4 py-2"><p><strong>NOT ADJUSTABLE</strong></p></td>
                </tr>
                <tr>
                    <td colSpan={4} className="text-center" align="center">
                        <Image
                            src="/assets/images/warranty.png"
                            alt="Warranty Policy"
                            width={475}
                            height={335}
                            className="w-[475px] h-[335px] max-w inline-block"
                        />
                    </td>
                </tr>
            </tbody>
        </table>
        <p>Note: Puncture location zero degree</p>
        <p className="mb-3">- Quadrant is ± 45 degree from the puncture location</p>
        <p className="mb-2"><strong>• Groove Crack, Sidewall crack, Turn-up separation - TL tyre</strong></p>
        <table className="table-auto w-full text-sm mb-4">
            <thead>
                <tr>
                    <th className="text-left py-2 bg-tegblue w-1/4"><p className="text-white ps-2">Defect</p></th>
                    <th className="text-left py-2 bg-tegblue w-1/4"><p className="text-white ps-2">1 Puncture</p></th>
                    <th className="text-left py-2 bg-tegblue w-1/4"><p className="text-white ps-2">2 Punctures</p></th>
                    <th className="text-left py-2 bg-tegblue w-1/4"><p className="text-white ps-2">≥ 3 Punctures</p></th>
                </tr>
            </thead>
            <tbody>
                <tr className="py-2">
                    <td className="w-1/4 py-2"><p>(Groove Crack, Sidewall Crack, Turn-up Separation)</p></td>
                    <td className="w-1/4 py-2"><p>Non-Manufacturing warranty</p></td>
                    <td className="w-1/4 py-2"><p>Non-Manufacturing warranty</p></td>
                    <td className="w-1/4 py-2"><p><strong>NOT ADJUSTABLE</strong></p></td>
                </tr>
            </tbody>
        </table>
        <div className="mb-4 pb-2">
            <p className="mb-1"><strong>• Wobbling</strong></p>
            <p>Wobbling is observed within the first few kilometers of usage (approximately 50 100 km):</p>
            <p>a) The warranty covers wobbling up to the first service or 500 km, whichever is earlier, or 0.5mm of tread wear, whichever is earlier for OE tyres.</p>
            <p>b) For AM tyres, it covers wobbling within 1 month of purchase or 0.5 mm of treadwear, whichever is earlier.</p>
            <p>c) Wobbling beyond these conditions is not covered under warranty.</p>
        </div>
        <div className="mb-4 pb-2">
            <ul>
                <li><p>• If defects/failure developed is linked to cut, and separation is showing signs of foreign matter i.e., dust etc. travelling from place of cut to the place of final failure, the tyre will not be considered under warranty</p></li>
                <li><p>• A tyre that has failed due to failure of tube identified with a clear manufacturing defect, will be considered for adjustment on pro-rata basis, provided (i) tyre and tube both are presented together (ii) tube brand is same as company&apos;s brand</p></li>
                <li><p>• Customers shall present OE reference letter <strong>(Customer Name & Mobile number is mandatory)</strong> in case of OE fitted tyre and Invoice / bill copy / Warranty card for Aftermarket tyre <strong>(Customer Name & Mobile number is mandatory)</strong>.</p></li>
                <li><p>• Distributor / Dealer/ Retailer can only facilitate the customer in warranty settlement process through warranty application. They cannot claim the tyre under warranty in their own name</p></li>
                <li><p>• This warranty will not provide compensation for any direct or indirect losses, damage incurred on account of tyre failure.                </p></li>
                <li><p>• The company reserves all rights to change this policy at any point in time without any prior notice.</p></li>
                <li><p>• The warranty provided herein is in lieu of any other warranties, expressed or implied, including without limitation, any warranty of merchantability or fitness of a particular purpose and is in lieu of any other obligation or liability of the company. Under no circumstances shall the company be liable for any incidental or consequential damages, or for any other loss, injury, or expense of any kind, including loss of profits arising hereunder.</p></li>
            </ul>
        </div>
        <p className="mb-3 text-[#4A4A4A]"><strong>Jurisdiction:</strong></p>
        <p>Any dispute arising from this policy shall be settled as per Indian law, and the courts in Madurai shall have the exclusive jurisdiction.
        This warranty policy supersedes all previously circulated policies.</p>
        <div className="grid grid-cols-1 sm:grid-cols-2 md:grid-cols-3 lg:grid-cols-3 gap-4 my-5 pb-5">
            <p className="text-lg text-[#4A4A4A] font-bold">Head - Technical Service</p>
            <p className="text-lg text-[#4A4A4A] font-bold">Head - Sales and Marketing</p>
            <p className="text-lg text-[#4A4A4A] font-bold">Head - R&D</p>
        </div>
    </div>
}

export default WarrantyPolicyContent