import { faWhatsapp } from "@fortawesome/free-brands-svg-icons";
import {faQrcode, faMousePointer, faUserCircle, faBarcode, faBiking, faDotCircle, faCertificate, faDownload } from "@fortawesome/free-solid-svg-icons";
import { FontAwesomeIcon } from "@fortawesome/react-fontawesome"
import Image from "next/image";

const WarrantyRegistrationContent = () => {
    return <div className="md:mx-[15%] mx-[0px] mb-5 pb-4">
        <h1 className="text-2xl text-tegblue italic font-semibold mb-4 mt-3">Follow the below steps to avail <span className="text-tegred">6 Months Extended Warranty</span></h1>
        <ul className="space-y-2 mb-5 pb-4">
            <li className="flex items-center align-middle">
                <FontAwesomeIcon
                    icon={faQrcode}
                    size={'sm'}
                    className='mr-4'
                    color={'#E42028'}
                />
                <span className="text-sm text-[#54595F] font-semibold">Click on the below link (or) Scan the QR code</span>
            </li>
            <li className="flex items-center align-middle">
                <FontAwesomeIcon
                    icon={faWhatsapp}
                    size={'sm'}
                    className="mr-4"
                    color={'#E42028'}
                />
                <span className="text-sm text-[#54595F] font-semibold">Registration process will be initiated on Whatsapp</span>
            </li>
            <li className="flex items-center align-middle">
                <FontAwesomeIcon
                    icon={faMousePointer}
                    size={'sm'}
                    className="mr-4"
                    color={'#E42028'}
                />
                <span className="text-sm text-[#54595F] font-semibold">Click on the Start Registration button to start the registration</span>
            </li>
            <li className="flex items-center align-middle">
                <FontAwesomeIcon
                    icon={faUserCircle}
                    size={'sm'}
                    className="mr-4"
                    color={'#E42028'}
                />
                <span className="text-sm text-[#54595F] font-semibold">Enter the Customer&apos;s Name</span>
            </li>
            <li className="flex items-center align-middle">
                <FontAwesomeIcon
                    icon={faBarcode}
                    size={'sm'}
                    className="mr-4"
                    color={'#E42028'}
                />
                <span className="text-sm text-[#54595F] font-semibold">Enter the Stencil Number (Please check your tyre side wall)</span>
            </li>
            <li className="flex items-center align-middle">
                <FontAwesomeIcon
                    icon={faBiking}
                    size={'sm'}
                    className="mr-4"
                    color={'#E42028'}
                />
                <span className="text-sm text-[#54595F] font-semibold">Select the Vehicle Segment (Type 1 to Type 7)</span>
            </li>
            <li className="flex items-center align-middle">
                <FontAwesomeIcon
                    icon={faDotCircle}
                    size={'sm'}
                    className="mr-4"
                    color={'#E42028'}
                />
                <span className="text-sm text-[#54595F] font-semibold">Select the Tyre Size</span>
            </li>
            <li className="flex items-center align-middle">
                <FontAwesomeIcon
                    icon={faCertificate}
                    size={'sm'}
                    className="mr-4"
                    color={'#E42028'}
                />
                <span className="text-sm text-[#54595F] font-semibold">Your Warranty certificate will get generated</span>
            </li>
            <li className="flex items-center align-middle">
                <FontAwesomeIcon
                    icon={faDownload}
                    size={'sm'}
                    className="mr-4"
                    color={'#E42028'}
                />
                <span className="text-sm text-[#54595F] font-semibold">Download and keep the Warranty certificate for future reference</span>
            </li>
        </ul>
        <div className="grid grid-cols-1  md:grid-cols-3  gap-4 align-center items-center">
            <div className="text-center">
                <a href="http://izea.pl/ctb/egwarrantyreg" target="_blank" className="bg-tegblue px-[24px] py-[12px] rounded-[3px] inline-block">
                    <FontAwesomeIcon 
                        icon={faWhatsapp}
                        size={'sm'}
                        className="mr-2"
                        color={'#ffffff'}
                    />
                    <span className="text-white text-sm font-semibold">Click to Register</span>
                </a>
            </div>
            <div className="text-center">
                <p className="text-[#54595F] text-[19px]">Or scan the QR Code</p>
            </div>
            <div className="md:text-end text-center">
                <Image
                    src="/assets/images/warranty-qr.png"
                    alt="Warranty Policy"
                    width={475}
                    height={335}
                    className="w-[205px] h-[205px] max-w inline-block"
                />
            </div>
        </div>
        <p className="text-end text-[9px] font-[400] mt-4">*Terms and conditions apply</p>
    </div>
}
export default WarrantyRegistrationContent