import Image from 'next/image';
import Link from 'next/link';
import { whySeriesList } from '@/constants/categories';

interface WhySeriesItem {
  name: string;
  image: string;
  link: string;
  slug: string;
}

export default function WhySeriesList() {
  return (
    <div className=''>
      <ul className='flex flex-col md:flex-row'>
        {whySeriesList.map((item) => (
          <li
            key={item.slug}
            className='relative w-full md:w-1/3 h-64 overflow-hidden group'
          >
            <div className='absolute inset-0 w-[calc(100%+1rem)] h-full transition-transform duration-500 ease-in-out group-hover:-translate-x-4'>
              <Image
                src={item.image || '/placeholder.svg'}
                alt={item.name}
                fill
                sizes='(max-width: 768px) 100vw, (max-width: 1200px) 50vw, 33vw'
                className='object-cover object-left'
              />
            </div>
            <div className='absolute inset-0 bg-black bg-opacity-50 flex items-center justify-center opacity-0 transition-opacity duration-500 group-hover:opacity-100'>
              <Link
                href={item.link}
                className='px-6 py-3 bg-transparent text-white border-2 border-white font-semibold rounded hover:bg-white hover:text-black transition-colors duration-300'
              >
                {item.name}
              </Link>
            </div>
          </li>
        ))}
      </ul>
    </div>
  );
}
