import FilterByTyrePos from '@/components/shared/product/filter/filter-by-tyre-pos';
import HierarchicalFilter from '@/components/shared/product/dynamic-hierarchical-filter';

const ProductFilterWidget = () => {
  return (
    <div className='relative product-filter-bg-img h-[auto] p-5 text-white'>
      <div className='absolute top-0 left-0 w-full h-full bg-[#000] opacity-30 z-0'></div>
      <div className='relative z-2 flex flex-col justify-end'>
        <span className='mb-2 block uppercase text-[12px] font-semibold'>
          SEARCH BY VEHICLE
        </span>
        <HierarchicalFilter disableTyrePos showRedirectBtn />
        <div className='product-filter-divider my-1 mx-2'>
          <span className='divider-separator'>
            <span className='divider__text divider__element text-[14px] text-white'>
              OR{' '}
            </span>
          </span>
        </div>
        <span className='mb-2 block uppercase text-[12px] font-semibold'>
          SEARCH BY TYRE
        </span>
        <FilterByTyrePos />
      </div>
    </div>
  );
};

export default ProductFilterWidget;
