import React from 'react';
import Image from 'next/image';

const Subheader = ({
  title,
  image,
  subtext,
}: {
  title: string;
  image: string;
  subtext?: string;
}) => {
  return (
    <header className='ir-subheader'>
      <h2 className='ir-headline'>{title}</h2>
      <Image
        src={image}
        alt=''
        width={750}
        height={250}
        className='w-[100%] mb-3'
      />
      {subtext && <p className='text-[14px]'>{subtext}</p>}
    </header>
  );
};

export default Subheader;
