import { create } from 'zustand';

interface CheckoutState {
  firstName: string;
  lastName: string;
  companyName: string;
  streetAddress: string;
  apartment: string;
  city: string;
  state: string;
  pinCode: string;
  phone: string;
  email: string;
  createAccount: boolean;
  deliverToDifferentAddress: boolean;
  differentAddress: {
    firstName: string;
    lastName: string;
    companyName: string;
    streetAddress: string;
    apartment: string;
    city: string;
    state: string;
    pinCode: string;
  };
  notes: string;
  setField: (field: string, value: string | boolean) => void;
  setDifferentAddressField: (field: string, value: string) => void;
}

export const useCheckoutStore = create<CheckoutState>((set) => ({
  firstName: '',
  lastName: '',
  companyName: '',
  streetAddress: '',
  apartment: '',
  city: '',
  state: '',
  pinCode: '',
  phone: '',
  email: '',
  createAccount: false,
  deliverToDifferentAddress: false,
  differentAddress: {
    firstName: '',
    lastName: '',
    companyName: '',
    streetAddress: '',
    apartment: '',
    city: '',
    state: '',
    pinCode: '',
  },
  notes: '',
  setField: (field, value) => set((state) => ({ [field]: value })),
  setDifferentAddressField: (field, value) =>
    set((state) => ({
      differentAddress: { ...state.differentAddress, [field]: value },
    })),
}));
