interface ImageFormat {
  name: string;
  hash: string;
  ext: string;
  mime: string;
  path: string | null;
  width: number;
  height: number;
  size: number;
  sizeInBytes: number;
  url: string;
}

interface ImageData {
  id: number;
  attributes: {
    name: string;
    alternativeText: string | null;
    caption: string | null;
    width: number;
    height: number;
    formats: {
      thumbnail: ImageFormat;
      large: ImageFormat;
      medium: ImageFormat;
      small: ImageFormat;
    };
    hash: string;
    ext: string;
    mime: string;
    size: number;
    url: string;
    previewUrl: string | null;
    provider: string;
    provider_metadata: null;
    createdAt: string;
    updatedAt: string;
  };
}

interface BlogCategory {
  data: {
    id: number;
    attributes: {
      Categoryname: string;
      slug: string;
      createdAt: string;
      updatedAt: string;
      publishedAt: string;
    };
  };
}

interface BlogSubcategory {
  data: {
    id: number;
    attributes: {
      name: string;
      slug: string;
      createdAt: string;
      updatedAt: string;
      publishedAt: string;
    };
  };
}

interface BlogPostAttributes {
  Headline: string;
  Slug: string;
  RichText: string;
  createdAt: string;
  updatedAt: string;
  publishedAt: string;
  publisheddate: string;
  metatitle: string;
  metadescription: string;
  videourl: string | null;
  FeaturedImage: {
    data: ImageData;
  };
  Galleryimages: {
    data: null;
  };
  blog_category: BlogCategory;
  blog_subcategory: BlogSubcategory;
}

interface BlogPost {
  id: number;
  attributes: BlogPostAttributes;
}

interface ApiResponse {
  data: BlogPost[];
}
